Introduction

 Top Next

Thank you for choosing HandiFox™!

Increase your productivity with HandiFox, the new handheld application from Tecom Group. With HandiFox, you can use a handheld computer (PDA) with barcode scanning capabilities to improve accuracy and decrease time for inventory counting and purchase order receiving operations. You can also create sales orders and invoices, accept payments, and print reports from the handheld. You can now accurately track the quantity of inventory items and transfer inventory held in multiple locations, sell and purchase items for the location. At the same time, you can continue using QuickBooks® on your desktop computer for these activities.

HandiFox has three main components:

1. The application on a handheld (PDA device). HandiFox supports up to 99 handhelds. Windows Mobile 5.0, 6.0, 6.1, 6.5 are supported Motorola handhelds and Android 2.x or 4.x devices are recommended, see System Requirements). This application allows the user to:
· Perform Inventory Counting (counting of all or selected inventory items).
· Check items' quantities on each location.
· Move items internally from one location to another.
· Create and receive purchase orders (partially or in full).
· Manage Inventory items (find appropriate item, view its details and edit barcodes).
· Manage customers (create and edit ).
· Taking sales orders and sales receipts from customers.
· Deliver Orders to customers (create invoices with customer's signature)
· Accept payments from customers
· Generate sales reports

2. Desktop module, which consists of:
· Handheld synchronization service. It provides synchronization between multiple handheld devices.
· QuickBooks synchronization service. It provides synchronization between a handheld device and the QuickBooks application running on a desktop computer.
· System monitor. It appears as gray, yellow, or red HandiFox icon in the system tray at the bottom right corner of the Windows display, depending on monitor's status. It allows the user to:
- Start/stop handheld connection.
- Start/stop connection with QuickBooks.
- View Log. This window works in two modes:
§ Show all details (shows all errors, warnings and handheld synchronization sessions with timestamp, device ID and status).
§ Show errors and warnings only.
- Register a new license file.
- View "About" page. View information about the HandiFox system (name and version of software, licensing information).
- Exit HandiFox System Monitor.

3. QuickBooks Integrated Module. In QuickBooks it is accessed by clicking on the File menu and selecting the HandiFox sub-menu. It consists of the following windows:
· Assign Purchase Order (assign the location where you want to receive purchase order) (available in Multi-Location Mode only).
· Barcodes List (view, generate, edit and print barcodes for inventory items).
· Counting Sessions (view, void and apply counting sessions created on handheld).
· Create Mobile Location's Inventory List (populate the inventory list for each location with the items you intend managing on the location) (available in Multi-Location Mode only).
· Customize Reports (view and edit reports templates)
· Export/Import (export and import barcodes, user and device information and quantities on each location to avoid need to reenter data in case of reinstall desktop application)
· Generate Purchase Order (automatically generate purchase orders based on item's sales information).
· Handheld Device Manager (manage the list of handheld devices, assign devices to the locations).
· Handheld User Manager (create, edit and delete handheld users).
· Inventory Transactions by Location (check transactions that affect items' quantity on hand by location) (available in Multi-Location Mode only).
· Mobile Locations Manager (create, edit and delete Mobile locations) (available in Multi-Location Mode only).
· QOH Viewer (check and adjust quantities on each location) (available in Multi-Location Mode only).
· Settings (configure HandiFox settings).
· Transfer Center (move inventory items from one location to another) (available in Multi-Location Mode only).
· Transfer Discrepancy Report (analyze transfers for discrepancies by location) (available in Multi-Location Mode only).
· View/Print Invoice (view and print invoices with customer's signature).


HandiFox

Working with HandiFox

 Top Previous Next

Please refer to the following chapters for detailed information about each module:

· Handheld application
· QuickBooks Integrated Module
· System monitor
· HandiFox all modules interactions


Login _2

Login

This section explains what Login page is and how to use it.

To start working with the application you have to login. On the first login after installing HandiFox on the handheld synchronization will automatically take place. Enter the handheld user’s name and password configured in the Handheld User Manger window in QuickBooks Integrated Module.

Note: user name and password are not case sensitive (e.g. "UsEr" equals to "user")!

The system date is displayed on this page, so that you can be sure that system date is correct. If the handheld system date is different than the date on the desktop then you will not be able to work with HandiFox and you will need to reset the time and date on the handheld.

Site field

Current inventory site is shown if handheld was synchronized before. If handheld is not assigned to any site yet, then “NOT ASSIGNED” is shown.

Synchronize check box

The Synchronize check box is unchecked by default. Check it to synchronize the device right after you login.

OK button

Allows proceeding to login. If synchronization check box is checked, then synchronization window appears. If not, then Main window opens.

Error message appears if an incorrect login or password is entered.

AttentionSign To start working with HandiFox handheld application you have to assign the mobile device to an inventory site in Handheld Device Manager window in QuickBooks integrated module.


Main

The Main window is opened after successful login.

The location current device is assigned to and current user name are displayed:

Inventory button

Click it to open the Inventory window from where Item List, Inventory Counting, P.O. Center and Bin Location List screen are available.

Sales button

Click it to open the Customer Center window.

Transfer button

Click it to open Transfer Center window

Admin button

Click it to open the Admin menu from which Reports, Synchronize, Settings and About screens are available.

Scheduling button

Click it to open Scheduling window.

Pressing MENU button on the device will open the context menu, which can contain the following items:

· Print - print an appropriate report (available not on all screens).
· Printer Test - prints a test page (available only in Main window).
· Sync - go to Synchronization window.
· Logoff - go to Login page.
· Exit- exit HandiFox.

This menu also contains shortcuts to various windows:

· Item List
· Inventory Counting
· P.O. Center
· Transfer
· Sales
· Admin
· Scheduling

If current handheld user has limited permissions or some functions are not allowed in the license, then corresponding icons are grayed out.


Inventory

This is the Inventory window that opens from the Main window:

Item List button

Click it to go to Item List.

Inventory Counting button

Click it to go to Inventory Counting window.

P.O. Center button

Click it to go to P.O. Center window.

Bin Location List button

Opens Bin Location List window.

Access to Inventory Counting and P.O. Center windows are enabled or disabled based on current user’s permissions and the status of Inventory function defined in the license.

Press Back button on the device to return to the Main window.

Press Menu button on the device to open the context menu.


Item List

The Item List allows navigating through the list of all items.

In this window you will find all active items of Inventory Part, Inventory Assembly, Other Charge (with fixed amount) and Service type with their sales descriptions and current quantities on hand (QOH). Quantity on hand is shown in base units of measure.

Clicking on the column headers of the grid sorts the list alphanumerically.

AttentionSign If your company file contains more than 5000 active items of Inventory Part, Inventory Assembly, Service and Other Charge (with fixed amount) types (for HandiFox Multi-Location - more than 5000 items at current location) then the Item List opens blank. To see the items, type an item name or just first few symbols of it in the Look for Name field.

Look for Name field

When the user types in the Look for Name field the system scrolls to the first name that starts with the entered sequence, and highlights it.

Filter check box

Click it to open the Item Filter window.

Item Filter window is used to perform inventory items filtering.

If you have already used a filter then the previous filtering criteria are shown. The Look for field is empty if you open the Filter window for the first time.

Search can be performed either by all fields (default criterion) or by one of specific fields:

· Name
· Description
· Preferred Vendor
· Man. Part Number
· U/M
· U/M Set

For definitions please go to Glossary.

Apply button

Click it to apply your criteria for filtering. If no item is found then the appropriate message appears.

Back button

Click it to return to the Item List without changing or applying any filter.

The same filter can be found in Inventory Counting window.

Scanner

The barcode scanner can be used in this window to find required items. When you scan a barcode, the system highlights corresponding item. If the barcode is not assigned to any inventory item, then the error message “Cannot find scanned inventory item” appears.

Edit button

Click it to open Item editor window for selected item.

View QOH button

Click it to open QOH Viewer window for selected item

Press Back button on the device to return to the Inventory window.

Press Menu button on the device to open the context menu.

AttentionSign Only active items are displayed in the Item List.


Item Editor

Item Editor allows the user to edit barcodes for selected item and review inventory item’s information.

Item Editor window opens with General tab active:

On the General tab you will find the following information (this information matches to the corresponding item's information in QuickBooks):

· Item Name/No
· Type
· Subitem Of
· Manufacturer’s Part No
· Asset Account
· Reorder Point
· On Hand (quantity) - Quantity on current location.
· Avg. Cost

The user is not able to edit information on the General tab.

Avg. Cost doesn't appear on the tab if Show cost permission is disabled for the user.

For definitions please go to Glossary.

Second tab in Item Editor window is Sales:

On the Sales tab you will find the following information:

· Description on Sales Transactions
· Quantity on Sales Orders for current location
· Quantity on Sales Orders in total
· Sales Price
· Tax Code
· Income Account

The user is not able to edit information on the Sales tab.

Sales Price doesn't appear on the tab if Show cost permission is disabled for the user.

For definitions please go to Glossary.

Next tab in Item Editor window is Purchase:

On the Purchase tab you will find the following information:

· Description on Purchase Transaction
· Quantity on Purchase Orders for current location and in total
· Cost
· COGS Account
· Preferred Vendor
· Purchase Tax Code (only for QuickBooks Canada)

The user is not able to edit information on the Purchase tab.

Cost doesn't appear on the tab if Show cost permission is disabled for the user.

For definitions please go to Glossary.

The last tab on the Item Editor window is Barcode:

On Barcode tab you will find the following information:

· U/M Set name
· List of Units of Measure with barcodes

For definitions please go to Glossary.

NONE is displayed if no unit of measure is assigned to the inventory item.

The abbreviation, number of ea (base units) and Barcode preview are shown for the currently selected unit of measure:

Note: NONE is also displayed if you use QuickBooks Pro (as it doesn't support Units of Measure).

Scanner

The barcode scanner can be used in this window to assign barcodes. When you scan a barcode, it is assigned for the currently selected U/M of the item.

Barcodes can be entered manually as well.

Note: the maximum length of the barcode that can be printed from HandiFox (Barcodes List window in QuickBooks Integrated Module) is 18 characters.

You can forbid a user to edit barcodes by disabling the corresponding permission.

Save button

Click it to save barcode changes. The barcode you have entered must be unique, otherwise the system will not allow saving.

Press Back button on the device to return to the previous Item List window. Confirmation is needed if you want to leave Item Editor without saving the barcode.

Each item can have several barcodes - one for each unit of measure from the u/m set assigned to the item.


QOH Viewer

The QOH Viewer window opens from Item List, New/Edit Invoice, Create/Edit Sales Receipt and New/Edit Order windows.

QOH Viewer provides you with item's quantity on hand values on each inventory site, and on each bin within the current site.

The full name and sales description of the item are shown.

The unit of measure name is shown in U/M field:

• Base unit of measure if QOH Viewer window is opened from the Item List

• Currently selected in the window unit of measure if QOH Viewer window is opened from the Current Availability window


Inventory Counting

The Inventory Counting window allows you to perform counting on the current location for any item in the list.

AttentionSign Only one counting session can be in progress at a time on every handheld device.

Even if you logoff and login later as another user, the Inventory Counting window will still be showing the same counting session.

On this window you can perform inventory counting. The Inventory Counting window displays all items, including those that are inactive.

The purpose of inventory counting is to get information on the actual number of items on hand on the current location.

When you click on the header of the grid the list is sorted alphanumerically by the column clicked.

AttentionSign If your company file contains more than 5000 active items of Inventory Part type (for HandiFox Multi-Location - more than 5000 items at current location) then the Inventory Counting window opens blank. To see the items, type an item name or just first few symbols of it in the Look for Name field.

Counting can be performed manually by entering new quantities, or by scanning item barcodes (each scan will add one to item's quantity). These two ways can be combined when necessary. For example, if some item has a very large quantity on hand that can't be scanned one by one, you can scan the item once to locate it in the list, and then edit the quantity manually.

Every line on the list contains the bin location where the item is stored (displayed under item name). If the item is present in more than one bin, it will be indicated with the "Multiple bins" label.

To enter new quantity, tap on an item to highlight it, then tap again to open quantity editing window for this item:

Here you can enter the quantity on every bin location for current item. This window only lists the bin(s) that current item is stored in. If you need to edit the quantity for another bin, tap on the label at the bottom ("Tap here to insert line") and select the bin(s) you want to add on the list.

To enter new quantity for a bin, tap on the New Qty field in the appropriate line and enter a value.

You can use the controls at the bottom to switch through all your items without leaving this screen.

Tap OK button to return to Inventory Counting window saving the changes, or Cancel button to discard the changes.

Look for name field

When the user types in the Look for Name field, the system scrolls to the first item that has Name beginning with the entered sequence, and highlights it.

Filter check box

Click it to open the Filter window.

Ref. No field

Enter any characters as the reference number for the current counting session. This information will be available in the Counting Sessions window in the QuickBooks Integrated module.

Memo field

Enter any comment related to the current inventory counting session up to 99 characters.

Status field:

This is informative field on the top of the window that shows the current inventory counting session status:

· New – counting session is not started yet. The New Qty field is empty for all items in this case.
· Saved – the counting session was saved, but not applied yet.
· To be synchronized – the counting session was applied, but handheld synchronization has not been performed yet.
· Not approved – the counting session already has been applied and synchronized but not approved by the manager yet. You cannot edit non-approved counting session until the manager approves or voids it.

New Qty field

This is editable field where new quantity for items can be entered. There are two ways to enter a new quantity:

· Manually type counted quantity.
· Use scanner to scan items. Counting is performed in base units (e.g. if you scan a box which equals to 20 each's, then New Qty will be increased by 20). Every time the you scan item’s barcode the system increments the New Qty field for this item and highlights it.

The Dif Qty field shows the difference between counted quantity and current quantity on hand.

Complete Inventory Counting check box

By checking this, you confirm that all items in the list, except those that already have new quantity value, will have zero in the new quantity field. It facilitates a procedure when you are sure that all other items are absent and you have to include these results when counting. The system automatically sets zeroes (0) to all items that have no entry in the New Qty field.

After confirming this action, the Complete Inventory Counting text will change to red to indicate that full inventory counting is on.

You can use the Clear button to restart counting. All previously saved results will be discarded.

You can use the Back button to close the Inventory Counting window; if you decide not to save after clicking the Back button, then next time you open the Inventory Counting window the list will be populated with previously-saved values.

Clear button

Click the Clear button if you want to start the counting session over. This requires on the user to confirm “Are you sure you want to start over the counting session?". This will discard all entered and saved data for the current counting session. All fields will be cleared, so you can restart the counting session.

Save button

Click it to save the current counting results. The status is now changed to "Saved" so you can leave the Inventory Counting window. When you return to the Inventory Counting window, the saved counting session is shown and you can continue with counting.

AttentionSign The QOH is not applied when the counting session is saved.

Apply button

Click it to confirm the current counting session is finished and you are ready to synchronize the counting results. If the system is not configured to require manager approval:

· quantities of the current location are set to values counted during this session.
· for handhelds assigned to the Main location, counting sessions from each handheld automatically overwrite QOH. If several handhelds count the same inventory item at the same time, then the counted quantities from the handheld which synchronizes the latest will be applied to the database.

If the system is configured to require manager approval then after confirmation you cannot edit the counting results or start the counting session over until the manager approves or voids it in the Counting Sessions window in the QuickBooks Integrated module. Even if you logoff and login later as a new user, this counting session will still be in to be synchronized or Not Approved status. The Clear, Save and Apply buttons are disabled in this case.

You can configure manager approval for handhelds assigned on Main and mobile locations independently.

AttentionSign To complete inventory counting, synchronization of the handheld with desktop application is required.

Printing Report

Select Print from the context menu to open the Report Preview window showing the Inventory Adjustment Report. If there are no counted items, then the "Inventory Adjustment" "There are no counted items to be printed." message appears and Report Preview window is not opened.

AttentionSign After a counting session is applied, it can no longer be edited on the handheld.


P.O. Center

The P.O. Center window allows the user to create, edit and receive Purchase Orders. Purchase Orders created or assigned on the current location are shown in the window. All Purchase Orders created in QuickBooks are automatically assigned on Main location.

When P.O. Center window opens, the purchase orders list is sorted by date and all new purchase orders are placed at the top of the window. Purchase orders with the same date are sorted by Vendor name.

Click on the header of the grid to sort purchase orders alphanumerically by the column clicked.

Purchase orders received in full are highlighted in green (all items have been received in all required quantities).

Partially received purchase orders are highlighted in yellow (some but not all items have been received or not all requested quantity have been received).

Look for Vendor field

When the user types in the Look for Vendor field the system scrolls to the first PO, that matches the entered sequence.

Status selection. You can filter the list of purchase orders using the drop down Status menu:

· ALL POs – shows all purchase orders in the list.
· RECEIVED – shows only received or partially received purchase orders.
· NOT RECEIVED – shows only purchase orders which have not been received.

PO receiving procedure:

1) Create PO in QuickBooks and

2) After synchronization, the PO appears on all registered HandiFox handheld systems.

3) Any handheld can receive any PO in full or partially (depending on your business practices).

4) When a PO is received in full (on one of the handhelds or in QuickBooks), it disappears from other handhelds next time the handheld is synchronized with QuickBooks.

5) The QOH is immediately updated in accordance with the received PO. It updates just after you receive or partly receive the PO. The QOH also updates after synchronization when another handheld receives a PO or performs counting and is synchronized with QuickBooks.

Void PO receiving sessions

Void function allows you to cancel purchase order receiving sessions performed for the received purchase orders on this handheld since the last handheld synchronization. To perform voiding, make a long click on received or partially received purchase order, then the Void menu appears. Confirm it and receiving session for this purchase order will be canceled. The QOH for the items on the current location from voided purchase order updates accordingly to discarded session results (decreased by the total amount of received items). On P.O. quantity for the current location and total On P.O. qty is increased by the total amount of received items.

AttentionSign Purchase order receiving sessions cannot be voided after synchronization.

Receive button

Click on it to open the Receive Items window for the selected purchase order (except those that are already received in full).

When you click the Receive button the system checks if any of purchase order items are part of unapplied inventory counting session on this handheld. If it is so, then warning message is shown “Can’t receive some P.O. items because they are part of not applied counting session”. Such items then mark in grey and the corresponding rows are locked for editing in the following cases:

· “Manager approval is required” setting is DISABLED for the location assigned on this handheld and counting session status IS Saved.
· “Manager approval is required” setting is ENABLED for the location assigned on this handheld and counting session status IS NOT New.

Printing Report

You can print Purchase Order Report by selecting Print from the context menu (MENU key on the device).


Receive Items

Receive Items window allows you to receive any item included in purchase order and assign reference number and memo for current receiving session.

The Items page contains the grid, which lists PO items with Name, PO backorder quantity (BO), Received quantity (Rec). PO backorder quantity equals to the original PO quantity minus total number of items received during previous receiving sessions. Information about Purchase Order being received is shown in the Purchase Order box at the top of the window: PO number, date and vendor name.

Clicking on the column headers of the grid sorts the list alphanumerically.

The information string above the grid displays the following fields for the item that is currently selected in the grid:

· Description – purchase description
· U/M – unit of measure abbreviation. Note: If U/M Set is not defined for the currently selected item, the NONE is shown as U/M. If handheld synchronizes for the first time after HandiFox initialization and downloads the purchase order and unit of measure's conversion ratio is changed for a a purchase order's item in QuickBooks then “[NONE]” is shown as unit of measure. If handheld synchronizes for the first time after HandiFox initialization and downloads the purchase order and unit of measure set is changed for a a purchase order's item in QuickBooks then unit of measure’s abbreviation is shown in brackets. If purchase order is already present on the handheld and unit of measure set or unit of measure's name, abbreviation or conversion ratio are changed for a a purchase order's item in QuickBooks then unit of measure name is shown in brackets.
· P.O. – original purchase order quantity

Ref. No field:

Enter any characters as the reference number for the current receiving session. This information will be available in the Item Receipt for this receiving session.

Receive All check box

Click it to set Rec quantity equal to BO quantity for all items.

“Can’t receive some P.O. items because they are part of not applied counting session” message appears because some items are part of counting session which is performed on this handheld device. Such items then mark in grey and the correspondent rows are locked for editing in following cases:

· “Manager approval is required” setting is DISABLED for the location assigned on this handheld and counting session status IS Saved.
· “Manager approval is required” setting is ENABLED for the location assigned on this handheld and counting session status IS NOT New

Look for name field

When the user types in the Look for Name field the system scrolls to the first full name that starts with the entered sequence, then highlights it.

Rec field

You can enter number of items received manually or using scanner.

Cost field

You can manually change cost of the item if it is required based on current conditions (price has been changed, discount needs to be applied, etc.)

Cost field and Total information field are shown on Receive Items page based on current user permissions.

AttentionSign Note: When the cost is changed the message "Item’s cost changed. You have changed the cost for: <item_name>. Do you want to update the item with new cost?” message with Yes and No buttons appears:

· If the user clicks Yes then the default item’s cost per each is updated: Cost Per Each = New Cost/(Unit of Measure Quantity).
· If the user clicks No, then the cost change applies to the current PO receiving session only.

Scanner

Despite u/m of scanned item the receiving is performed in the currently selected unit of measure for the scanned item. Every time you scan the item’s barcode the system increments the Rec field for this item and highlights it. If scanned quantity is greater than purchase order's backorder quantity, then the error message appears.

The message “Can’t receive scanned item because it's part of not applied counting session” appears if scanned item is a part of unapplied inventory counting session on this handheld.

Changing bin location for items:

For every received item a bin is specified for the item to go in. You may need to modify the bins for the items on current receiving session, so that inventory goes to proper location.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to distribute received pieces over multiple bins and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

Memo tab

Enter any comment related to the current receiving session up to 99 characters.

Reference number and Memo are saved for the current receiving session and not for PO itself. It is done because PO can be partially received on different devices and in QuickBooks, also PO can be partially received in several sessions on the same device.

Save button

Click it to save the receiving session. QOH for items at the current location from this PO is updated in base units of measure according to received amount. On P.O. quantity for the location where P.O. was created and total On P.O. qty for this item is decreased by the quantity received.

Press Back button on the device to return to the previous P.O. Center window. If some changes were done before clicking Back button, then the confirmation message appears, asking to save changes or proceed to P.O. Center window without saving.


New/Edit P.O.

The New/Edit P.O. window opens when the user clicks New or Edit button on the P.O. Center window. The window title is set to New P.O. or Edit P.O. correspondingly.

When the New P.O. window is opened the P.O. No. value is set to unique number generated based on transactions prefix defined in the Handheld Device Manager window in QuickBooks integrated module on desktop.

The P.O. date is shown in the top right corner of the window. For new P.O. date is set to today. The user is not able to edit the date.

The user is able to select the vendor from drop down list filled with vendor names. When the New P.O. window is opened then no vendor is selected.

The total dollar amount of P.O. items is shown under the grid. The Total field is shown or not shown based on the Show Cost user permission (configured in the Handheld User Manager window in the QuickBooks integrated module on desktop).

The window contains three pages:

· Items
· Ship To
· Memo

Items tab. The Items page allows editing the list of P.O. items with Name, Qty (ordered quantity), Rate fields and Clsd checkbox.

AttentionSign For Canadian version of QuickBooks, Tax field is also displayed.

The system shows/not shows the Rate field based on the Show Cost user setting (configured in the Handheld User Manager window in the QuickBooks integrated module on desktop).

When the Edit P.O. window is opened the items are sorted in the sequence they were added to the purchase order. Click on the header of items grid to sort the list by the clicked column.

The information string above the grid displays the following fields for the item that is currently selected in the grid:

· Description – purchase description
· U/M – unit of measure abbreviation. Note: If handheld synchronizes for the first time after HandiFox initialization and downloads the purchase order and unit of measure's conversion ratio is changed for a a purchase order's item in QuickBooks then “[NONE]” is shown as unit of measure. If handheld synchronizes for the first time after HandiFox initialization and downloads the purchase order and unit of measure set is changed for a a purchase order's item in QuickBooks then unit of measure’s abbreviation is shown in brackets. If purchase order is already present on the handheld and unit of measure set or unit of measure's name, abbreviation or conversion ratio are changed for a a purchase order's item in QuickBooks then unit of measure name is shown in brackets.
· BO – backordered quantity (difference between ordered quantity and received quantity, empty if item is not received yet)
· Rec – received quantity (sum of all receiving sessions for this P.O. item)

When the user types in the text field at the top of the Items page, the system scrolls to an item in the list, which Name begins with the search string, and highlights it.

When the Qty and Rate values are changed the Total field, shown on the bottom of the Items page, is recalculated based on the P.O. items’ Qty and Rate.

AttentionSign Note: When the Rate is changed the message "Item’s cost changed. You have changed the cost for: <item_name>. Do you want to update the item with new cost?” message with Yes and No buttons appears:

· If the user clicks Yes then the default item’s cost per each is updated: Cost Per Each = New Cost/(Unit of Measure Quantity).
· If the user clicks No, then the cost change applies to the current purchase order only.

Closed checkbox

The Closed checkbox on the bottom of the Items page is unselected and disabled in New P.O. window.

When Edit P.O. window opens Clsd checkbox is:

· Selected for items which are received in full
· Unselect for items which are not received in full

When Clsd checkbox is selected for some item then the BO field is set to 0 for this item.

Adding items to P.O.

· Using Add button on Items tab or Enter button on SIP (software input panel):
Use this method if you know the exact Name of the item. Type the item's full name in the search string and click Add (or Enter button on SIP).

· Using Find button:
Use this method if you don't know the exact Name of the item you want to add to the purchase order or you want to add item based on its Purchase description. Type the item Name or part of description in the search string and click Find button, the Find/Add window will appear, filled with inventory items, which Name or Purchase Description contain the entered search string, allowing the user to add multiple items to the purchase order.

· Using scanner:
The barcode scanner can be used to add inventory items to the purchase order. Scanning an item’s barcode adds the scanned item to the list.
The system allows adding several rows to the purchase order for items with the same Name, but different units of measure. If the scanned item (Name and Unit of measure) is already in the list, then the system increments the Qty value of the item by 1.

When item is added to the list and vendor name is empty then the vendor name is set to the preferred vendor for this item (if any).

Deleting items from P.O.

Perform a long click on an item you want to delete and select "Delete" option in the popup menu.

Changing bin location for items:

For every item on the P.O. the bin is specified where the received item will go in. You may need to change bins for the items on current receiving session, so that inventory goes to proper location.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to distribute ordered pieces over multiple bins and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

Ship To tab. The Ship to page allows editing the shipping address

The tab has Ship To field, which is populated with the company address. You can edit the ship address in this field. Changes will be applied to the current P.O. only.

Memo tab. The Memo page allows editing Memo and Vendor Message

Save button

Click it to save the purchase order. The P.O. Center window is opened.

AttentionSign Note: When purchase order is saved On P.O. value for the location where P.O. was created is updated for every purchase order item.


Bin Location List

Bin Location List window allows you to manage bin locations for current inventory site.

The window lists all active bin locations that exist within the current inventory site.

Include Inactive checkbox defines whether inactive bin locations are shown on the list.

New button allows you to create a new bin location using the New Bin Location window.

Edit button allows you to edit currently highlighted bin location using Edit Bin Location window.


New/Edit Bin Location

New/Edit Bin Location windows allow the user to create a new bin location or edit an existing one.

Use the appropriate fields to edit the Name and Description of the bin you are creating/editing.

Bin locations can be assigned a barcode to be used to indicate them through scanning, when applicable. To assign a barcode to the bin, use the Barcode field to enter the sequence manually, scan a barcode with your wireless scanner, or use the Scan button to scan a barcode with device's camera (Barcode Scanner application must be installed).

Bin is Inactive checkbox defines whether current bin is active/inactive. Check it to make the bin inactive, and uncheck it to activate the bin again.

Click Save button to apply the changes you've made and return to the previous screen. If you don't want to save the changes, press Back key on the device and then click No in the appeared dialog window.


Sales_2

Customer Center

The Customer Center window, which opens when user clicks Sales button on Main window or selects Sales from Action menu, allows the user to select a customer/job to create Sales Order, Sales Receipt, Invoice, Payment or Credit Memo. The window also allows creating a new customer or editing existing one.

AttentionSign When the window opens, the list of customers is empty and all buttons except of New, Open Orders and Open Invoices, are disabled. Use filtering to display the list of customers. There are 2 ways to filter customers:

Look for Customer field

When the user types in the Look for Customer field and taps "Enter" on keyboard the list shows customer or job, which name contains the entered sequence. If the “Show customers assigned to the current sales rep” option is enabled, then only the customers assigned to the current sales rep in Quick Books will be displayed.

Filter checkbox

Click it to open the Customers Filter window:

Customers Filter window is used to perform advanced customers' filtering. Searching can be performed by specific fields:

· All fields
· Name
· Address
· Phone
· City
· State
· ZIP code
· Notes

Apply button

Returns the user to Customer Center window applying the selected filter.

Back button

Returns the user to Customer Center window without changing the filter.

When the filter is applied, the plain list is shown instead of the hierarchical tree and customers' full names are shown. To clear the filter unselect Filter checkbox.

After filter was applied, Customer Center shows the Active customers and jobs list sorted by customer's Name. Each customer could have up to 4 levels of jobs.

If customer/job has sub-jobs, then when the customer/job is selected the Balance field under the customers list shows the balance for this customer/job (not including balances of sub-jobs). The Balance field is not shown for customers/jobs that have no sub-jobs.

Click on the header of the grid to sort customers alphanumerically (by Name) or numerically(by Balance Total). Sorting by the Name and Balance Total fields is performed by customer (not job).

View drop-down menu allows filtering the customer list by customer's status:

· Active – only active customers/jobs are shown.
· Open Balance – only customers/jobs with open balance are shown.
· All – all customers/jobs available in the system are shown.

Perform long click on a customer/job to invoke pop-up menu with Add Job and Credit Memo entries:

· Add Job pop-up menu item.

Click it to open New Job window. The Add Job entry doesn’t appear for jobs on 4th level

· Credit Memo pop-up menu item.

Click it to open Credit Memo window that allow recording the return from the customer.

When the window opens from the Main window, the Active option is selected by default. When the window opens from Customer Orders or New/Edit Customer window the previous option is selected.

Address field displays the selected customer’s address.

Phone field displays phone number for currently selected customer.

The contents of Address and Phone fields are clickable. Click on customer address will show this location on map (if found), click on phone number will initiate a phone call (start the standard caller application or open app selection dialog).

New button

Click it to create new customer.

Edit button

Click it to edit existing customer's or job's information.

Sales Orders button

Opens Customer Orders window to create Sales Order or Invoice for selected customer.

Sales Receipts button

Opens the Sales Receipts window for currently selected customer, allowing you to manage their sales receipts.

Invoice button

Click it to open Invoice window.

Payment button

Click it to open Payment window.

Open Orders button

Opens the Open Orders window. Available only if the handheld is assigned to the Main location and Shipment Verification system setting is enabled.

Open Invoices button

Opens the Open Invoices window. Available only if the handheld is assigned to the Main location and Shipment Verification system setting is enabled.

Printing Customer Statement

Press MENU button on the device to open the program menu. Selecting Print from the menu opens the Report Preview window showing the Customer Statement report. If no customer is selected in the list or the list is empty, then the "Notification" "Customer should be selected" message appears and Report Preview window is not opened.

Press Back button on the device it to return to the previous Main menu.


New/Edit Customer

The New/Edit Customer window opens when user clicks the New or Edit button on Customer Center window. The window allows editing customer's information.

The New/Edit Customer window has four tabs: General, Bill To, Ship To and Contact.

On the General tab the user is able to view/edit customer’s general information:

· Customer/JobName – the system doesn’t allow full name that’s already in use. The field title is set to Customer Name if customer is being created/edited or Job Name if job is being created/edited,
· Company name,
· Type (not editable in HandiFox),
· Term (not editable in HandiFox),
· Price Level,
· Credit Limit (not editable in HandiFox),
· Resale Number (Business Num for Canadian version of QuickBooks),
· Note.

On the Bill To tab the user is able to view/edit customer’s billing address information:

· Address,
· City,
· State,
· Zip,
· County,
· Note.

On the Ship To tab the user is able to view/edit customer’s shipping address information:

· Address,
· City,
· State,
· Zip,
· County,
· Note.

If more than 3 lines of Address field are used on Bill To or Ship To pages, then City, State and PostalCode fields are disabled. If some of City, State or PostalCode fields on Bill To or Ship To pages are filled in, then number of available lines in the Address field is limited to 3.

On the Contact tab the user is able to view/edit customer’s contact information:

· Mr./Ms/ ...
· First Name
· M.I.
· Last Name
· Contact
· Phone
· Fax
· Alt.phone
· Alt.Contact
· E-mail

Clicking the Back button in the New/Edit Customer window cancels user changes and opens the Customer Center window. If there are unsaved changes the system asks the user whether to save the customer’s information before getting back to the Customer Manager window.

Save button

Click it to save changes. New customer and edited customer's information will be available in the Customer Center window. After next synchronization, new information will be also available in QuickBooks.

Back button

Click it to return to the previous Customer Center window without changes.


New/Edit Job

The New/Edit Job window opens when user clicks the Add Job menu entry or Edit button on the Customer Center window when a job is selected.

The New/Edit Job window has four tabs: General, Bill To, Ship To and Contact.

General tab. The General page allows viewing and editing job’s general information.

On the Edit Job window if the job has both a parent and subjobs, then the Customer dropdown list is disabled.

When the window is opened, the default Tax Code and Tax Items are selected in the Tax Code and Tax Items dropdown lists.

Bill to tab. The Bill to page allows viewing and editing job's billing address information.

Ship to tab. The Ship to page allows viewing and editing job's shipping address information.

Contacts tab. The Contact page allows viewing and editing job's contact information.

If job is being saved and the job of level 4 is selected in the Customer drop down, then the message “Warning”.”This customer or job cannot be used here. It will create too many levels of jobs. Four levels of jobs is allowed.” message with OK button appears. When the user clicks OK the focus is put to the Customer field and its content is selected.

Save button

Click it to save changes. New job and edited job's information will be available in the Customer Center window. After next synchronization, new information will be also available in QuickBooks.


Customer Orders

The Customer Orders window opens when user clicks the Sales Orders button on Customer Center window. The window allows creating and editing all customer's sales orders and invoices created on current location.

The customer's Name and Balance Total are displayed on the top of the screen.

When Customer Orders window opens the list of sales orders created by any location is shown. The sales orders list is sorted by order number alphanumerically. Sales orders with fully paid out invoices are not shown.

If the window is opened for a customer (not a job) then orders for customer are listed.

If the window is opened for a job (not a customer) then orders for this job only are listed.

Click on the header of the grid to sort customer orders alphanumerically by the column clicked.

Look for Order field

When the user types in the Look for Order field the system scrolls to the order, which S.O. No. matches the entered sequence, highlighting it.

Status drop-down menu allows filtering the orders list by order's status:

· Open – only opened orders (not invoiced, partially invoiced and not closed) are shown.
· Invoiced – only orders invoiced in full are shown.
· All – all orders are shown.
· Closed - closed sales orders are shown.

Partially invoiced orders are highlighted in grey. Orders invoiced in full are highlighted in green.

New button

Click it to open New Order window for creating new sales order.

Edit button

Click it to edit the selected sales order. The Edit button is disabled when no order is selected in the list.

Clicking the Pick button opens the Pick Order window. If the Order is already picked, the Pack button will be shown instead. If the order has been picked and packed, this button will be disabled.

Clicking the Pack button opens the Pack Order window.

Invoice button

The user is able to select sales orders to create invoice by selecting the Select checkbox.

When orders are selected click the Invoice button to open New Invoice window for creating an invoice for the selected orders. The Invoice button is disabled for closed orders, orders invoiced in full or when no orders are selected in the list.

When the user performs long click on a partially or fully invoiced order the View Invoices menu pops up. When user selects View Invoices in the popup menu the View Invoices window appears allowing viewing and editing invoices for the order.

When the user performs long click on a partially picked/packed order the Print Pick List/Print Packing Slip menu pops up.

When user selects Print Pick List/Print Packing Slip in the popup menu the Report Preview window appears allowing to print Pick List Report and Packing Slip accordingly.

Back button

Click it to return to the previous Customer Center window without changes.

Select Print from the context menu to open the Report Preview window showing the Sales Order report for the sales order, currently selected in the list. The printout is made in accordance with the Print Format application setting configured in the Settings (Main window arrow Admin) – LETTER or 2INCH.


New/Edit Order

The New/Edit Order window opens when user clicks the New or Edit button on Customer Orders window. The window title is set to Create Order or Edit Order correspondingly. The window allows creating a new or editing selected sales order.

The S.O. number S.O. No, Date (for new order the date is set to today) and Customer are displayed on the top of the screen.

When the New Order window is opened the S.O. No. value is set to unique number generated based on transactions prefix defined on the Handheld Device Manager window in QuickBooks integrated module on desktop. The user is able to edit S.O.No. value.

The window contains four tabs:

· Items
· Address
· Ship To
· Memo

Items tab. The Items page allows editing the list of order items with Name, Qty (order quantity) and Rate fields.

When New/Edit Order window opens, the items list sorted by item's name alphanumerically.

Click on the header of the grid to sort sales order items alphanumerically by the column clicked.

The information string above the grid displays the following fields for the item that is currently selected in the grid:

· Description – sales description
· U/M – unit of measure abbreviation ("NONE" is shown if U/M Set is not defined). The user is able to change the U/M by long-clicking on the U/M field. The Select Unit of Measure window appears allowing user to select a unit of measure from unit of measure set assigned to the inventory item. Qty and Rate values for the item will be recalculated based on the selected unit of measure.

Note: If handheld synchronizes for the first time after HandiFox initialization and downloads the Sales Order and unit of measure's conversion ratio is changed for a Sales Order's item in QuickBooks then “[NONE]” is shown as unit of measure. If handheld synchronizes for the first time after HandiFox initialization and downloads the Sales Order and unit of measure set is changed for a Sales Order's item in QuickBooks then unit of measure’s abbreviation is shown in brackets. If Sales Order is already present on the handheld and unit of measure set or unit of measure's name, abbreviation or conversion ratio are changed for a Sales Order's item in QuickBooks then unit of measure name is shown in brackets.

· BO – backordered quantity (difference between ordered quantity and invoiced quantity, equals to 0 if ordered quantity is less than invoiced quantity). If sales order and linked invoice are created in QuickBooks, then after editing the invoice on the handheld, backordered quantity is not changed.
· Invoiced – invoiced quantity. If sales order and linked invoice are created in QuickBooks, then after editing the invoice on the handheld, invoiced quantity is not changed.

Total field, shown at the bottom of the Items page, is calculated based on the order items’ Qty, Rate and taxes.

When the user types in the text field on the top of the Items page, the system scrolls to an item in the list, which full name contains the search string, highlighting it.

Adding items to sales order

· Using Add button on Items tab or Enter button on SIP (software input panel):
Use this method if you know the exact Name of the item. Type the item's full name in the search string and click Add (or Enter button on SIP).

· Using Find button:
Use this method if you don't know the exact Name of the item you want to add to the order or you want to add item based on its sales description. Type the item Name or part of description in the search string and click Find button, the Find/Add window will appear, filled with inventory items, which Name or Sales Description contain the entered search string, allowing the user to add multiple items to the order.

· Using scanner:
The barcode scanner can be used to add inventory items to the order. Scanning an item’s barcode adds the scanned item to the list.
The system allows adding several rows to the order for items with the same Name, but different units of measure. If the scanned item (Name and Unit of measure) is already in the list, then the system increments the Qty value of the item by 1.

Changing item location:

For every item on the order a bin location is specified where the items will be taken from. You can change that location if necessary.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is possible to select multiple bins and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

Deleting items from sales order

Perform a long click on an item you want to delete and select "Delete" option in the popup menu.

When the user clicks on the “i” button, then the Current Availability window appears showing the following information for the item:

· Quantity on Hand, Quantity on Sales Orders, Quantity on Purchase Orders - values for the current site
· Quantity Available = Quantity on Hand - Quantity on Sales Orders

Clicking on the L button opens QOH Viewer window for the item

Applying price level

To apply a price level to an item perform the long click on it and select Apply Price Level entry from the pop-up menu. The Select Price Level window opens allowing the user to select a price level.

Note: The “Apply Price Level” entry is disabled if there is no Price Levels associated with this item.

Close order

To close order select Closed checkbox at the bottom of the page. The Closed checkbox is disabled on the New Sales Order window and for the orders invoiced in full.

Address tab (Bill address)

The tab has Bill address field, which is populated with the customer's bill address. You can edit the bill address in this field. Changes will be applied to the current order only. You can change the bill address for the customer in the Edit Customer window.

Ship to tab (Ship address)

The tab has Ship address field, which is populated with the customer's bill address. You can edit the ship address in this field. Changes will be applied to the current order only. You can change the ship address for the customer in the Edit Customer window.

Memo tab

You are able to edit P.O. No (Purchase Order number) field and Memo field on this tab.

Save button

Click it to save changes. After next synchronization, new information will be available in QuickBooks.

AttentionSign Note: When the order is saved the On S.O. value for the site where SO was created and total On S.O. are increased by the ordered quantity

Press Back button on the device to return to the previous Customer Orders window without changes. If there are unsaved changes the system asks the user if he would like to save the order before closing the New/Edit Order window.


Select Price Level

The Select Price Level window opens when the user performs long click on an item in the New/Edit Order, New/Edit Invoice, Create/Edit Sales Receipt or Credit Memowindows and selects Apply Price Level entry in the popup menu.

The item name and customer name are displayed on the top of the window.

The Price Level dropdown list is filled with price levels:

· Base Sales Price
· All Fixed % - price levels configured in the system
· “Per Item” - price levels where item's custom price is defined

Current Rate field shows current item's rate.

New Rate field shows item's rate after applying price level.

OK button

Click it to apply currently selected price level to the item's Rate.

Close button

Click it to return to the previous window without changing the rate.

AttentionSign Note: Only active price levels are displayed in Select Price Level.


Pick/Pack Order

Create Pick Order window opens after tapping on Pick button in Customer Orders window.

AttentionSign Note: Fully invoiced sales orders cannot be picked.

The groupbox at the top of the window contains the following information:

S.O.No. - the number of corresponding Sales Orders

Date - date of Sales Order creation

Customer - customer name

The information string above the items list displays the following fields for the item that is currently selected in the grid:

· Description – sales or purchase description depending on settings configured in HandiFox Settings window
· Rem - remains quantity
· Ord.- ordered quantity
· U/M - unit of measure abbreviation ("NONE" is shown if U/M Set is not defined). The user is not able to change the U/M.

The list contains the following information:

· Name - item name
· Pick Qty - picked quantity, equals zero in new transaction.

The user is able to calculate picked items manually or by using the barcode scanner if the scanned item (Name and Unit of measure) is in the pick list.

When the Pick Qty value is changed the Total Qty field, shown on the bottom of the page, is recalculated.

When the user clicks on the “i” button, then the Current Availability window appears.

Changing bin location for items:

You can set different bin location for the items to be taken from, instead of those specified earlier on the S.O.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to select multiple source bins with and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

Print button.

When user clicks Print button the Report Preview window appears allowing to print Pick List Report.

Save button.

Clicking it saves Pick Order and closes the window. It is possible to edit picked order.

Create Pack Order window opens after tapping on Pack button in Customer Orders window.

AttentionSign Note: Pack button is available when a picked order is highlighted in Customer Center window.

Pack Qty - packed quantity, equals Pick Qty.

The user is able to check items presence by using the barcode scanner. If the scanned item (Name and Unit of measure) is in the packing list, then the system marks it in green color and highlights this item.

Pack All Order.

The user is able to pack order in full automatically by selecting Pack All checkbox at the bottom of the page. Availability of this feature depends on settings configured in HandiFox Settings window.

Print button.

When user clicks Print button the Report Preview window appears allowing to print Packing Slip Report

Save button.

The Save button is enabled when all items are scanned. Clicking the Save button saves the Pack Order and Invoice.

Invoiced quantity equals Pack Qty. Item's QOH and on Sales Order Qty are decreased by Invoiced quantity.


View Invoices

The View Invoices window opens when the user selects View Invoices on the popup menu that appears when the user performs long click on a partially or fully invoiced order in the Customer Orders window. The invoices created by any location are present in the list.

The customer's Name and S.O. No. (sales order number) are displayed at the top of the screen.

Click on the header of the grid to sort invoices alphanumerically by the column clicked.

The main field lists the invoices for selected order with invoice number, invoice date and open balance.

Invoices, for which at least one payment is applied, are marked with gray color.

Edit button

Click it to edit the selected invoice. The Edit Invoice window will open.

AttentionSign When Edit Invoice window is opened for an invoice, created not by the current location, then the user cannot make any changes.

Print button

Clicking the Print button opens the Report Preview window showing the Invoice report for the invoice, currently selected in the list.

The printout is made in accordance with the Print Format application setting configured in the Settings (Main window arrow Admin) – LETTER or 2INCH.


New/Edit Invoice

The New Invoice window opens when user clicks Invoice button on the Customer Center window or selects sales orders and clicks the Invoice button on the Customer Orders window. The Edit Invoice window opens when user clicks Edit button on View Invoices window, Edit button on the Paymentwindow.These windows allows creating or editing an invoice for the selected orders.

AttentionSign When Edit Invoice window is opened for an invoice, created not by the current location, then the user cannot make any changes.

Invoices created in QuickBooks can be edited on Main location.

The S.O. number S.O. No (is not editable), Date (for new invoice the date is set to today) and Customer are displayed at the top of the screen. If invoice is created for several orders, then S.O. No. field is not shown.

When New Invoice window is opened the Invoice # value is set to unique number generated based on transactions prefix defined on the Handheld Device Manager window in QuickBooks integrated module on desktop. The user is able to edit Invoice # value.

The window contains 4 pages:

· Items
· Bill To
· Ship to
· Other

AttentionSign Note: When the user changes an existing invoice in a way that affects the Total field value and clicks Save, then the message “There is a sales order linked to this invoice. Do you want to record your changes to the invoice?” message with OK and Cancel buttons appears. Saving the invoice continues if the OK button is clicked. Clicking the Cancel button cancels saving the invoice

Items tab. The Items page allows editing the invoice items with Name, Qty (invoiced quantity) and Rate fields.

When the user clicks on the header of the invoice items grid the list is sorted by the clicked column.

Clicking on the Name field highlights the correspondent row. The user is not able to edit the Name value.

The information string above the items list displays the following fields for the item that is currently selected in the grid:

· Description– sales description
· S.O.No. - RefNumber of the sales order, which the invoice item is linked to. Empty for invoice items that are not linked to sales orders.
· Ord – ordered quantity. Empty for invoice items that are not linked to sales orders or when invoice is created in QuickBooks and linked to a sales order.
· BO – backordered quantity. Empty for invoice items that are not linked to sales orders or when invoice is created in QuickBooks and linked to a sales order.
· U/M – unit of measure abbreviation ("NONE" is shown if U/M Set is not defined). The user is able to change the U/M by clicking on the U/M field. The Select Unit of Measurewindow appears allowing user to select a unit of measure from unit of measure set assigned to the inventory item. Qty and Rate values for the item will be recalculated based on the selected unit of measure.

Note: If handheld synchronizes for the first time and downloads the Invoice and unit of measure's conversion ratio is changed for an invoice's item in QuickBooks then “[NONE]” is shown as unit of measure. If handheld synchronizes for the first time after HandiFox initialization and downloads the Invoice and unit of measure set is changed for an invoice's item in QuickBooks then unit of measure’s abbreviation is shown in brackets. If invoice is already present on the handheld and unit of measure set or unit of measure's name, abbreviation or conversion ratio are changed for an invoice's item in QuickBooks then unit of measure name is shown in brackets.

The Balance Due field on the bottom of the Items page shows the balance due for the invoice (difference between Total amount and amount of payments applied for the invoice). It is recalculated based on the invoice items’ Qty, Rate and taxes.

When the Qty value is changed the BO field is recalculated as described below:

· BO = Original Back Ordered Quantity – Invoiced Quantity, where Original Back Ordered Quantity is a backorder quantity at the moment when the New/Edit Invoice window is opened
· BO = 0, if Invoiced Quantity > Ordered Quantity

When Qty field is greater than quantity available (qty_av = QOH–qty_on_sales_order), then the invoice item is marked with red color.

QOH and qty_on_sales_order - values for the current location.

When the user types in the text field on the top of the Items page, the system scrolls to an item in the list, which full name contains the search string, highlighting it.

Adding items to invoice

· Using Add button on Items tab or Enter button on SIP (software input panel):
Use this method if you know the exact Name of the item. Type the item's full name in the search string and click Add (or Enter button on SIP).

· Using Find button:
Use this method if you don't know the exact Name of the item you want to add to the invoice or you want to add item based on its sales description. Type the item Name or part of description in the search string and click Find button, the Find/Add window will appear, filled with inventory items, which Name or Sales Description contain the entered search string, allowing the user to add multiple items to the invoice.

· Using scanner:
The barcode scanner can be used to add inventory items to the invoice. Scanning an item’s barcode adds the scanned item to the list.
The system allows adding several rows to the invoice for items with the same Name, but different units of measure. If the scanned item (Name and Unit of measure) is already in the list, then the system increments the Qty value of the item by 1.

Changing bin location for items:

If necessary, you can change the bin location for items to be taken from.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to select multiple bins and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

Deleting items from invoice

Perform a long click on an item you want to delete and select Delete option in the popup menu.

Applying price level

To apply a price level to an item perform the long click on it and select Apply Price Level entry from the pop-up menu. The Select Price Level window opens allowing the user to select a price level.

Note: The “Apply Price Level” entry is disabled if there is no Price Levels associated with this item. The “Apply Price Level” entry is enabled or disabled based on the Allow Edit Price user setting (configured in the Handheld User Manager window in the QuickBooks Integrated Module).

When the user clicks on the “i” button, then the Current Availability window with OK button appears showing the following information for the item:

· Quantity on Hand, Quantity on Sales Orders, Quantity on Purchase Orders - values for the current location
· Quantity Available = Quantity on Hand - Quantity on Sales Orders

Clicking on the L button opens the QOH Viewer window for the item

Bill To tab.

The tab has Bill address field. If invoice is created based on sales orders, then Bill address field is populated with the Address from the order, for which items were added last, otherwise with the customer's bill address. You can edit the bill address. Changes will be applied to the current invoice only. You can change the bill address for the customer in the Edit Customer window.

Ship To tab.

The tab has Ship address field.If invoice is created based on sales orders, then Ship address field is populated with the Address from the order, for which items were added last, otherwise with the customer's bill address. You can edit the ship address. Changes will be applied to the current invoice only. You can change the ship address for the customer in the Edit Customer window.

Other tab.

The user is able to edit the following information:

· P.O.No. – editable field, up to 25 characters. When New Invoice window is opened to create the invoice based on sales orders, then the P.O.No.is populated with the P.O.No. from the order for which the invoice is created. P.O.No is empty otherwise.
· Memo - editable field, up to 100 characters
· Terms - dropdown list populated with active terms configured in QuickBooks. When the New Invoice window is opened the customer’s term is selected by default (even if it's not active)
· Customer Signature, not shown on the New Invoice window (not editable) or Take customer’s signature system setting is unselected.

Save button

Clicking it starts invoice saving procedure:

· If the Take customer’s signature system setting (configured in the Settings window in QuickBooks Integrated Module) is selected, then the Customer Signature window is opened.
· If the Take customer’s signature system setting is not selected, then invoice is saved.

AttentionSign Note: When the invoice is saved QOH for the current site and On S.O. value for the current site and total On S.O. are updated by the invoiced quantity. Customer balance is updated as well.

Back button

Click it to return to the previous Customer Orders window. If there are unsaved changes the system asks the user whether to save the invoice before closing the New/Edit Invoice window.

AttentionSign Note: If Edit Invoice window is opened for an invoice, for which at least one payment is applied then the user is not able to change the invoice.


Pick/Pack Invoice

Create Pick Invoice window opens after choosing long-click menu item Pick Invoice in Payment window.

AttentionSign Note: Invoices created via sales orders cannot be picked.

In the top part of the window the following information is displayed:

Invoice#: - the number of correspondent Invoice

Date - date of Pick Invoice creation

Customer - customer name

The information string above the items list displays the following fields for the item that is currently selected in the grid:

· Description – sales or purchase description depending on settins configured in HandiFox Settings window
· Inv.- invoiced quantity
· U/M - unit of measure abbreviation ("NONE" is shown if U/M Set is not defined). The user is not able to change the U/M.

The list contains the following information:

· Name - item name
· Pick Qty - picked quantity, equals zero in new transaction.

The user is able to calculate picked items manually or by using the barcode scanner If the scanned item (Name and Unit of measure) is in the pick list.

When the Pick Qty value is changed the Total Qty field, shown on the bottom of the page, is recalculated.

When the user clicks on the “i” button, then the Current Availability window appears.

Print button

When user clicks Print button the Report Preview window appears allowing to print Pick List Report.

Save button

Clicking it saves Pick Invoice and closes the window. It is possible to edit picked invoice.

Changing bin location for items:

You can set different bin location for the items to be taken from, instead of those specified earlier on the invoice.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to select multiple source bins with and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

Create Pack Invoice window opens after choosing long-click menu item Pack Invoice in Payment window.

AttentionSign Note: Pack menu is available when picked invoice is highlighted in Payment window.

Pack Qty - packed quantity, equals Pick Qty.

The user is able to check items presence by using the barcode scanner. If the scanned item (Name and Unit of measure) is in the packing list, then the system marks it in green color and highlights this item.

Pack All checkbox

The user is able to pack invoice in full automatically by selecting Pack All checkbox at the bottom of the page. Availability of this feature depends on settings configured in HandiFox Settings window.

Print button

When user clicks Print button the Report Preview window appears allowing to print Packing Slip Report

Save button

The Save button is enabled when all items are scanned. Clicking the Save button saves the Pack Invoice.

The invoice quantities are updated according the packed quantities. If item's Pack Qty less than Invoiced quantity, then Invoiced quantity and QOH decrease with the difference of old invoiced quantity and Pack Qty.


Customer Signature

The Customer Signature window opens when user clicks the Save button on New/Edit Invoice window and Take customer’s signature system setting is selected (configured in the Settings window in QuickBooks Integrated Module). The window allows viewing customer's signature.

Note: this window also appears when Sales Receipts are saved.

When the Customer Signature window opens, then the OK button is

· enabled - if Customer’s signature is mandatory system setting (configured in the Settings window in QuickBooks Integrated Module) is unselected
· disabled – if Customer’s signature is mandatory system setting is selected

The user can’t draw in the customer’s signature field and it is not shown if Take customer’s signature system setting is unselected.

In Customer Name field the user is able to enter the name of the person who signs the invoice.

Enter Sign button

Click it to enter the customer's signature. The Enter Signature window is opened.

Clear button

To clear the customer's signature click the Clear button. OK button will be disabled if Customer’s signature is mandatory system setting (configured in the Settings window in QuickBooks Integrated Module) is selected.

Print button

Click it to print the Invoice report (the invoice transaction is not saved). The printout is made in accordance with the Print Format application setting (configured in the Settings window) – LETTER or 2INCH.

Cancel button

Click it to return to the previous New/Edit Invoice window.

OK button

Click it to save the invoice.


Enter Signature

The Enter Signature window opens when user clicks the Enter Sign button on Customer Signature window. The window allows taking customer’s signature.

Customer signs in field under the “Please sign in box below” text.

Clear button

Click it to clear the customer's signature.

OK button

Click it to save the customer's signature.

AttentionSign Note: If Customer’s signature is mandatory system setting (configured in the Settings window in QuickBooks Integrated Module) is selected and signature is empty and OK button is clicked the message “Please sign” appears and Enter Signature window is not closed.


Credit Memo

The Credit Memo window opens when the user clicks the Credit Memo pop-up menu item in the Customer Center window (perform long-click on the Customer in Customer Center window to invoke pop-up menu). It allows recording a return from the customer and retain as an available credit.

The window contains three pages:

· Items
· Address
· Memo

In the Customer box the user is able to view/edit credit memo information:

· Credit No. is set to unique number generated based on transactions prefix defined in the Handheld Device Manager window in QuickBooks integrated module on desktop. The user is able to edit Credit No. value,
· Date is populated with the current date, not editable,
· Customer (customer's name), not editable.

Items tab. The Item page allows editing the list of credit memo items with Name, Qty (credit memo quantity) and Rate fields.

Click on the header of the grid to sort credit memo items alphanumerically by the column clicked.

Clicking on the Name field highlights the correspondent row. The user is not able to edit the Name value.

The information string above the grid displays the following fields for the item that is currently selected in the grid:

· Description – sales description
· U/M – unit of measure abbreviation ("NONE" is shown if U/M Set is not defined). The user is able to change the U/M by long-clicking on the U/M field. The Select Unit of Measure window appears allowing user to select a unit of measure from unit of measure set assigned to the inventory item. Qty and Rate values for the item will be recalculated based on the selected unit of measure.

When the user types in the text field on the top of the Items page, the system scrolls to an item in the list, which full name contains the search string, and highlights it.

Adding items to credit memo

· Using Add button on Items tab or Enter button on SIP (software input panel):
Use this method if you know the exact Name of the item. Type the item's full name in the search string and click Add (or Enter button on SIP).

· Using Find button:
Use this method if you don't know the exact Name of the item you want to add to the credit memo or you want to add item based on its sales description. Type the item Name or part of description in the search string and click Find button, the Find/Add window will appear, filled with inventory items, which Name or Sales Description contain the entered search string, allowing the user to add multiple items to the credit memo.

· Using scanner:
The barcode scanner can be used to add inventory items to the credit memo. Scanning an item barcode adds the scanned item to the list.
The system allows adding several rows to the credit memo for items with the same Name, but different units of measure. If the scanned item (Name and Unit of measure) is already in the list, then the system increments the Qty value of the item by 1.

Changing bin location for items:

If necessary, you can change the bin location for the items on the credit memo, so that they go to correct location.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to select multiple bins and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

Deleting items from credit memo

Perform a long click on an item you want to delete and select "Delete" option in the popup menu.

Applying price level

To apply a price level to an item perform the long click on it and select Apply Price Level entry from the pop-up menu. The Select Price Level window opens allowing the user to select a price level.

Note: The “Apply Price Level” entry is disabled if there is no Price Levels associated with this item. The “Apply Price Level” entry is enabled or disabled based on the Allow Edit Price user setting (configured in the Handheld User Manager window in the QuickBooks Integrated Module).

Address tab. The Address page allows editing the customer address (bill address)

The tab has Bill address field, which is populated with the customer's bill address. You can edit the bill address in this field. Changes will be applied to the current credit memo only. You can change the bill address for the customer in the Edit Customer window.

Memo tab. The Memo page allows editing P.O.No. and Memo

You are able to edit P.O. No (Purchase Order number) field and Memo field on this tab.

Save button

Click it to save the credit memo.

AttentionSign Note: When the Credit Memo is saved QOH at the current site is updated for every credit memo item. Customer balance is updated as well.


Select Unit of Measure

The Select Unit of Measure window allows user to select item's unit of measure. The user is able to select a unit of measure from unit of measure set assigned to the inventory item. Qty and Rate values are recalculated based on the selected unit of measure.

When the window opens, the U/M, currently selected for the item, is highlighted.

The following information is shown:

· U/M Set Name
· Base Unit
o Name
o Abbreviation

OK button

Click it to apply currently selected unit of measure to an item.

Cancel button

Click it to return to the previous window without changes.


Find/Add

The Find/Add window allows the user to add multiple items to the sales order, sales receipt, invoice, credit memo, purchase order or transfer transactions.

In this window you will find all active items with their rate and the quantity on hand (QOH) at the current location. Quantity on hand is shown in base units of measure. The items of Inventory Part, Inventory Assembly, Other Charge (with fixed amount) and Service type (except transfer transactions) are listed in the window.

The selected item’s Sales Description or Purchase Description (depending on settings configured in HandiFox Settings window) is shown at the bottom of the window. Clicking on the column headers of the grid sorts the list alphanumerically.

AttentionSign If your company file contains more than 5000 active items of Inventory Part, Inventory Assembly, Service and Other Charge (with fixed amount) types (for HandiFox Multi-Location - more than 5000 items at current location) then the Find/Add window opens blank. To see the items, type an item name or just first few symbols of it in the Look for Name field.

The user is able to mark items as to be added, by checking the correspondent box in the list.

The selected item’s Full Name is shown under the items list (not editable).

Item's default selling unit's price is shown in the Rate field if Find/Add window is opened from New/Edit Order, New/Edit Invoice, Create/Edit Sales Receipt or Credit Memo windows.

Item's default purchasing unit's cost is shown in the Rate field if Find/Add window is opened from the New/Edit P.O. window.

Look for Name and Look for Description fields

When the user types in the Look for Name (or Look for Description) field and taps "Enter" on the keyboard the system scrolls to the first name (Sales or Purchase description) that starts with the entered sequence, then highlights it.

The user is able to filter items by selecting the Filter checkbox.

Filter checkbox

Click it to open the Filter window.

Filter window is used to perform inventory items filtering.

If you have already used a filter then the previous filtering criteria for filter are shown. The Look for field is empty if you open the Filter window for the first time or you closed the current window with a filter applied and then reopened it. Clearing the Filter checkbox removes the filter.

The search can be performed either by all fields (default criteria) or by specific fields:

· Name
· Description
· Preferred Vendor
· Man. Part Number
· U/M
· U/M Set

For definitions please go to Glossary.

Apply button (in Filter window)

Click it to apply your criteria for filtering. If no item is found then the appropriate message appears.

Back button (in Filter window)

Click it to return to the Find/Add window without changing or applying any filter.

Add button

Click it to add selected items to sales order.

AttentionSign Only active items are displayed in the Find/Add window.


Sales Receipts

Sales Receipts windows allows viewing the list of sales receipts of a customer, creating and editing sales receipts. It lists all sales receipts created on the handheld for the current customer after the last synchronization. This window is accessed by selecting a customer in Customer Center and clicking the Sales Receipts button.

You can search through the list of sales receipts using the Look for Number field. Enter the number of a sales receipt (or just the first few symbols of it), and the selection will be set to the first sales receipt with the number matching the entered sequence.

New button
Opens the Create Sales Receipt window allowing you to create a new sales receipt.

Edit button
Opens the Edit Sales Receipt window with currently selected sales receipt available for editing.

You can print out currently selected sales receipt by running the Print command from the menu.


Create/Edit Sales Receipt

The Create Sales Receipt window opens when user clicks the New button on Sales Receipts window. This window allows the user to create Sales Receipts. If Sales Receipt was created for currently highlighted customer after the last handheld synchronization the Edit Sales Receipt window opens when user clicks Edit button on Sales Receipts window, allowing the user to edit Sales Receipt.

AttentionSign Note: Sales Receipts are uploaded to QuickBooks during HandiFox handheld synchronization and you cannot view or edit them on handheld after that.

On the top part on the window the following information is displayed:

Sales No. - the number of Sales Receipt is set to unique number generated based on transactions prefix defined in the Handheld Device Manager window in QuickBooks integrated module on desktop, editable field

Date - date of Sales Receipt creation, for new transactions is set to today, not editable

Customer - customer name, not editable

The window contains 2 pages:

· Items
· Other

Items tab. The Items tab allows to add or delete items, check items' current availability, choose payment method and set check or reference number.

Adding items to Sales Receipt

You can create Sales Receipt with items of all supported types (Inventory Part, Inventory Assembly, Service and Other Charge with fixed amount) type using various methods:

· Using Add button:
Use this method if you don't know the exact Name of the item you want to add to the Sales Receipt or you want to add item based on its sales description. Type the item Name or part of description in the search string and click Add button, the Find/Add window will appear, filled with inventory items, which Name or Sales Description contains the entered search string, allowing the user to add multiple items to the invoice.

· Using Find button:
Tapping on Find button opens the Find/Add window

· Using scanner:
The barcode scanner can be used to add inventory items to the Sales Receipt. Scanning an item’s barcode adds the scanned item to the list.
The system allows adding several rows to the Sales Receipt for items with the same Name, but different units of measure. If the scanned item (Name and Unit of measure) is already in the list, then the system increments the Qty value of the item by 1.

When the user clicks on the header of the items grid the list is sorted by the clicked column.

Clicking on the Name field highlights the correspondent row. The user is not able to edit the Name value.

The information string above the items list displays the following fields for the item that is currently selected in the grid:

· Description – sales or purchase description depending on settings configured in HandiFox Settings window
· Tax - Sales Tax Code for the item, blank if Sales Tax option is OFF in QuickBooks
· U/M - unit of measure abbreviation ("NONE" is shown if U/M Set is not defined). The user is able to change the U/M by clicking on the U/M field. The Select Unit of Measurewindow appears allowing user to select a unit of measure from unit of measure set assigned to the inventory item. Qty and Rate values for the item will be recalculated based on the selected unit of measure.

When Qty field is greater than quantity available (qty_av = QOH–qty_on_sales_order), then the item is marked with red color.

QOH and qty_on_sales_order - values for the current location.

When the user types in the text field on the top of the Items page, the system scrolls to an item in the list, which full name contains the search string, highlighting it.

The Total field on the bottom of the Items page shows the balance for the Sales Receipt. It is recalculated based on the items’ Qty, Rate and taxes.

Changing bin location for items:

If necessary, you can change the bin location defined for items on the receipt.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to select multiple bins and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

Deleting items from Sales Receipt

Perform a long click on an item you want to delete and select Delete option in the popup menu.

Applying price level

To apply a price level to an item perform the long click on it and select Apply Price Level entry from the pop-up menu. The Select Price Level window opens allowing the user to select a price level.

Note: The “Apply Price Level” entry is disabled if there is no Price Levels associated with this item. The “Apply Price Level” entry is enabled or disabled based on the Allow Edit Price user setting (configured in the Handheld User Manager window in the QuickBooks Integrated Module).

When the user clicks on the “i” button, then the Current Availability window with OK button appears showing the following information for the item:

· Quantity on Hand, Quantity on Sales Orders, Quantity on Purchase Orders - values for the current site, grayed out for Service type items
· Quantity Available = Quantity on Hand - Quantity on Sales Orders, grayed out for Service type items

Clicking on the L button opens the QOH Viewer window for the item

Other tab.

Other tab contains Memo, editable field, up to 100 characters.

Save button

Clicking it starts Sales Receipt saving procedure:

· If the Take customer’s signature system setting (configured in the Settings window in QuickBooks Integrated Module) is selected, then the Customer Signature window is opened.
· If the Take customer’s signature system setting is not selected, then the Sales Receipt is saved.

Sales Receipt Report

Sales Receipt Report can be printed from Customer Signature window. Report Preview window appears after tapping on Print button.

AttentionSign Note: When the Sales Receipt is saved QOH for the current site is updated according to the invoiced quantity.

Press Back button on the device to return to the previous Sales Receipts window. If there are unsaved changes the system asks the user whether to save the invoice before closing the Create/Edit Sales Receipt window.


Payment

The Payment window opens when the user clicks the Payment button on the Customer Center window.

The customer's Name and Balance (sum of balances of open invoices) are displayed on the top of the screen

When the Payment window is opened the system fills the list with open invoices (invoices with non-zero balances) for the selected customer (not including balances of sub-jobs). The list is sorted by invoice date ascending.

The currently selected invoice’s information is shown above the grid

· Date
· Orig. Amt. – original invoice amount
· Discount – amount of discount applied to the invoice
· Credits – amount of credits applied to the invoice

The user is able to enter the amount of payment to the Amount field.

The total amount of discounts and credits applied is shown in the Disc&Credit field on the bottom of the window.

When the Pmt field’s value is changed the Applied field on the bottom is recalculated.

Auto Apply button

When the Auto Apply button is clicked and Amount field’s value is not zero the system auto fills the Pmt field for invoices in the list applying the value of Amount field to the oldest invoice first and the rest to the next invoice until the amount of the payment is discharged.

Un-Apply button

When the user clicks the Un-Apply button the Pmt field is set to 0.00 for all invoices and Un-Apply button is renamed to Auto Apply.

Select checkbox for an invoice

· When the invoice remaining balance (remaining balance = Amt. Due – Discount) is equal to 0 the message “This invoice has no remaining open balance” with OK button appears. Clicking OK closes the message and Selected checkbox is not checked, the button name is left Auto Apply.
· when the undistributed amount of the customer's payment is greater than the Amt. Due, the system sets Pmt field equal to Amt. Due; the button name is set to Un-Apply
· when the undistributed amount is less than Amt. Due, the system puts the entire undistributed amount to the Pmt field; the button name is set to Un-Apply
· When the undistributed amount is zero the error message “Cannot apply an amount greater than the total payment” with OK button appears. Clicking OK closes the message and Selected checkbox is not checked, the button name is left Auto Apply

When the Pmt field equals zero, the Selected checkbox is unchecked, otherwise checkbox is checked.

Applying Credits

To apply credits to an item perform the long click on it and select Apply Credits entry from the pop-up menu. The Credits window opens allowing the user to apply credits to the invoice. If the customer doesn’t have credits available the Apply Credits is disabled.

When credits are applied to the invoice, the correspondent row is marked with green color.

When the credits are applied in the Credits window the Credits field in information string above the list is set to the amount of credits applied, the Disc&Credits field is recalculated.

When the credits are applied in the Credits window and the sum of credits applied and Pmt is greater than Amt. Due then Pmt = Amt. Due - Credits.

Applying a discount

To apply a discount to an item perform the long click on it and select Discount entry from the pop-up menu. The Discount window appears allowing applying a discount to the invoice.

When a discount is applied to the invoice, the correspondent row is marked with green color.

When the discount is set in the Discount window the Discount field in information string above the list is set to the amount of discount, the Disc&Credits field is recalculated.

When the discount is set in the Discount window and the sum of discount and Pmt is greater than Amt. Due then Pmt = Amt. Due - Discount.

Viewing invoice

To view an invoice perform the long click on it and select View Invoice entry from the pop-up menu. The Edit Invoice window appears.

Pick Invoice and Pack Invoice functionality

The Pick/Pack Invoice functionality available on handhelds assigned to the Main location in Handheld Device Manager in QuickBooks Integrated Module.

To pick invoice highlight invoice created without sales order in the list and perform long click.

Choose Pick Invoice in pop-up menu - Create Pick Invoice window opens. To print Pick List Report use Print Pick List pop-up menu.

To pack invoice highlight picked invoice in the list and perform long click.

Choose Pack Invoice in pop-up menu - Create Pack Invoice window opens. To print Packing Slip Report use Print Packing Slip pop-up menu.

Payment method

To select the payment's method use the Pmt. Method dropdown list. The list contains Payment Methods of types Cash and Check configured in QuickBooks:

· if Check is selected as Pmt. Method then the check number could be entered to the Check # field
· if Cash is selected as Pmt. Method then the reference number could be entered to Reference # field

When the Payment window is opened for the first time ever, then an entry of Check type is selected automatically. When the Payment window is opened not for the first time, then the Payment Method that was selected, when the Save button was clicked on the Payment window last time, is selected in the Pmt. Method field.

Edit button

Clicking the Edit button opens the Edit Invoice window. It is not possible to edit Invoices created on another locations.

Save button

Click it to save the Payment. The Customer Center window is opened.

AttentionSign Note: When the payment is saved, balances of invoices, for which payment is applied, are decreased by sum of Pmt, discounts and credits, applied to invoices and the customer's balance is decreased by the amount of payment (Applied + Dics&Credits). When credits/overpayments are used for the payment the Payment is saved, the credits/ overpayments balance is decreased by amounts used. The Payment is automatically printed, when a payment is saved. The printout is made in accordance with the Print Format application setting (configured on the Admin/Settings window) – LETTER or 2INCH. If a method of type Cash is selected as Pmt. Method and the payment is saved, the system prints two copies of the payment (one for sales representative, second for the customer).

Press Back button on the device to return to the previous Customer Center window. If there are unsaved changes the system asks the user whether to save the payment before closing the Payment window.


Credits

The Credits window opens when the user performs long click on an invoice in the Payment window and selects Apply Credits.

The information about the invoice is shown:

· Customer – customer name
· Available Credits - sum of Credit Av. field
· Number – invoice number
· Date - invoice date
· Original Amt. – invoice original amount
· Amount Due – current invoice amount due
· Discounts Used – discount applied to the invoice in the payment being created
· Credits Used – sum of credits applied to the invoice in the payment being created
· Balance Due = Amount Due - Discounts Used - Credits Used

When the Credits window is opened:

· the credits list is populated with customer credits available (including overpayments on payments and Credit Memos) sorted ascending by date
· the Amt. To Use field is populated with previous values of the amount used for the payment being created
· the Credit Av. field is set equal to the original credit amount minus the amount that is already used for other (already applied) payments

The Credit Av. field is set equal to the original credit amount minus the amount that is already used for other (already applied) payments.

When the Amt. To Use value is changed the Credits Used field is recalculated.

AttentionSign Note: The system doesn’t accept Amt. To Use value greater than the Credit Av. and if Discount Used plus sum of Amt. To Use is greater than the Amount Due

Cancel button

Click it to close the window without applied credits.

OK button

Click it to close the window. The Payment window opens applying the credits (sum Amt. To Use. field’s values) to the invoice.


Discount

The Discount window opens when the user perform long click on an invoice in the Payment window and selects Discount.

The information about the invoice is shown:

· Customer – customer name
· Number – invoice number
· Date - invoice date
· Original Amt. – invoice original amount
· Amount Due – current invoice amount due
· Discounts Used – discount applied to the invoice in the payment being created (previous value of the discount)
· Credits Used – sum of credits applied to the invoice in the payment being created
· Balance Due = Amount Due - Discounts Used - Credits Used

When the Discount window is opened the Amount of Discount field is set equal to Discounts Used and the field’s content is selected. The user is able to edit the Amount of Discount field.

The system doesn’t accept Amount of Discount values greater than amount to pay (amount to pay = Amt. Due – Credits Used)

When the Amount of Discount value is changed the Discount Used field is set equal to Amount of Discount and Balance Due is recalculated.

The user is able to select the Discount Account from the dropdown list populated with accounts configured in the system. When the Discount window is opened for the first time ever, then No account is selected in the Discount Account field. When the Discount window is opened and discount is already applied to the invoice the previous account is selected in the Discount Account field.

Cancel button

Click it to close the window without changing the discount.

OK button

Click it to close the window. The Payment window opens applying the discount to the invoice.


Open Orders

The Open Orders window allows viewing the list of open Sales Orders that can be Picked and Packed.

The list displays all open Sales Orders that contain any backordered items.

AttentionSign If Show customers assigned to Sales Rep option is enabled for current user, the list will only display those Orders which Customer is assigned to the current sales rep.

You can search through Sales Orders by number using the Look for Order field. When you type in this field, the list is scrolled down to the first entry that has a number beginning with the entered sequence, and that entry gets highlighted.

The Status field at the top right of the window is used for filtering Sales Orders by their status:

· All - all open Orders are shown;
· Picked - shows only those Orders that have been Picked;

Clicking the Edit button opens:

· Edit Pick Order window for picked orders;
· Edit Sales Order window for not picked/packed orders and for packed orders with backordered items.

Clicking the Pick button opens the Pick Order window. If the Order is already picked, the Pack button will be shown instead.

Clicking the Pack button opens the Pack Order window.

When the user runs Print command from the menu:

· Pick List report is printed for Picked Orders;
· Packing Slip report is printed for Packed Orders;
· Sales Order report is printed in other cases.

You can find a Sales Order using the barcode scanner. When you scan an Order's barcode, the system highlights the scanned invoice and opens the Pick Order window for not Picked Orders, or Pack Order window for Picked Orders;


Open Invoices

The Open Invoices window allows viewing the list of open Invoices that can be Picked and Packed.

The list displays all open Invoices for the Main location that haven't been applied any payments or credits. It will not show invoices created through Sales Orders.

AttentionSign If Show customers assigned to Sales Rep option is enabled for current user, the list will only display those Invoices which Customer is assigned to the current sales rep.

You can search through Invoices by number using the Look for Invoice field. When you type in this field, the list is scrolled down to the first entry that has a number beginning with the entered sequence, and that entry gets highlighted.

The Status field at the top right of the window is used for filtering Invoices by their status:

· Open – not Packed Invoices;
· Picked – Picked Invoices;
· Packed – Packed Invoices;
· All – all open Invoices.

Clicking the Edit button opens:

· Edit Invoice window for not Picked Invoices;
· Edit Pick Invoice window for Picked Invoices.

Clicking the Pick button opens the Pick Invoice window. If the Invoice is already picked, the Pack button will be shown instead.

Clicking the Pack button opens the Pack Invoice window.

When the user runs Print command from the menu, then:

· Pick List report is printed for Picked Invoices;
· Packing Slip report is printed for Packed Invoices;
· Invoices report is printed in other cases.

You can find an Invoice quickly using the barcode scanner. When you scan an Invoice's barcode, the system highlights the scanned invoice and opens Pick Invoice window for not Picked Invoices, or Pack Invoice window for Picked Invoices;


Transfer Center

The Transfer Center window opens when user clicks the Transfer button on Main window or taps on Transfer menu item. The window allows to move inventory items internally from one site to another, and between bins on the same site.

The list of transfer transactions created on current site (or filled for current site from elsewhere) is shown in Transfer Center window.

The list contains the following information:

· Tr.No. - transaction number
· Type - transaction type (Fill or Local)
· Site - the inventory site the transaction is filled for or received from
· Appl. - transaction status (applied or not)

AttentionSign Note: Applied transactions are removed from handheld after a successful synchronization.

Click on the header of the grid to sort transactions by the column clicked.

It is possible to delete a non-applied transfer by performing long-click on transaction.

When the user types in the Look for Transfer field the system scrolls to the transfer, which number begins with the entered sequence and highlights it.

There are three types of transfer transactions allowing to move inventory between sites and bins:

· Fill Transfer - allows to move items from current site to elsewhere.
· Receive Transfer - allows to receive a transaction filled from another site.
· Local Transfer - allows to move inventory between bins of current site.

Transfer Report can be printed from Transfer Center window. Highlight the appropriate transaction in the list and tap Print in the context menu.

Create Fill button.

Tap on it to create Fill Transfer transaction.

Receive button.

Tap on it to Receive a transfer from another site.

Select Site window.

Clicking on Create Fill button opens Select Site window intended to select the site where the items will be transferred to.

Edit/View button.

Button named Edit when not-applied transfer is currently highlighted in the list. Tap it to edit transaction details.

Button named View when selected transfer has already been applied, or it was filled by another location. Tap it to view transaction details.


Create Fill Transfer

Fill Transfer transaction allows to move items to another inventory site.

Creating Fill Transfer procedure:

1.Open Transfer Center window using Transfer button on Main window or corresponding menu item.

2.Tap Create Fill button in Transfer Center window.

3.Choose the site to transfer items to in Select Site window and click Next.

Fill Transfer window opens:

The groupbox in the top of the window contains the following information:

Tr. No. - the number of Transfer is set to unique number generated based on transactions prefix defined on the Handheld Device Manager window in QuickBooks integrated module on desktop, can be edited in not-applied transfers.

Date - date of Transfer creation, for new transaction is set to today, not editable

To - location where items are transferred to

Status - Transfer status:

o New – new transfer transaction when the window opened from the Select Location window
o Saved – saved, but not applied transfer transaction
o Applied – applied transfer transaction

The window contains 2 pages:

· Items
· Memo

Items tab. This tab allows you to add or delete items on the transaction.

Adding items to Transfer:

Add some items to the transfer one of the following ways:

· use Find button to select items from a list;
· tap Add button after entering item's exact name in the field next to it;
· use your wireless scanner to scan items into the transfer;
· tap Scan button to scan items with device's camera (Barcode Scanner application must be installed).

Deleting items from Transfer:

Make a long tap on the item you want to delete and select Delete option in the popup menu.

Changing source bin:

For every item on the transfer a bin is specified where the items will be taken from. If some item is stored in more than one bin, you may need to change the source bin for that item.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to select multiple source bins with and specify a quantity for each of them separately. To do this, make a long tap on the item and select Edit. In the opened window you will be able to define item quantities per bin location (use the link at the bottom to add bins on the list).

When the user clicks on the header of the items grid, the list is sorted by the clicked column.

Clicking on the Name field highlights the correspondent row. The user is not able to edit the Name value.

The information string above the items list displays the following fields for the item that is currently selected in the grid:

· Description – sales or purchase description depending on settings configured in HandiFox Settings window
· U/M - unit of measure abbreviation ("NONE" is shown if U/M Set is not defined). The user is able to change the U/M by clicking on the U/M field. The Select Unit of Measurewindow appears allowing user to select a unit of measure from unit of measure set assigned to the inventory item. Qty and Rate values for the item will be recalculated based on the selected unit of measure.

The list contains the following information:

· Item - item name
· QOH- item's QOH on current location
· Rec.QOH. - item's QOH at receiving location
· Tr.Qty. - transaction quantity

Memo tab.

Other tab contains Memo, editable field, up to 100 characters.

Save button

Clicking the Save button saves the transfer. After the transfer is saved, its status is set to “Saved”, the Fill Transfer window closes.

Transfer with "Saved" status can be edited. Saved transfer does not affect inventory.

Apply&Save button

Applying Fill Transfer transaction makes the following changes:

o QOH of current location is decreased by the values of Tr. Qty field for every item (in accordance with selected U/M conversion ratio)
o The transfer status is changed to “Applied”

AttentionSign Note: Applied transfers cannot be edited.


Receive Transfer

Receive Transfer transaction allows to receive items from other locations.

Follow these steps to receive a transfer filled by other location:

1. If the transfer was filled on a handheld, synchronize it.

2. Synchronize handheld assigned to the site where you are going to receive items.

3. Open Transfer Center on handheld and highlight the Fill Transfer transaction that you need to receive.

5. Tap Receive button in Transfer Center window. Receive Transfer window opens.

Items tab. The item list is populated with items from correspondent Fill Transfer transaction. User is not able to add or delete items from transfer.

The information string above the items list displays the following fields for the item that is currently selected in the grid:

· Description – sales or purchase description depending on settins configured in HandiFox Settings window
· U/M - unit of measure abbreviation ("NONE" is shown if U/M Set is not defined). The user is able to change the U/M by clicking on the U/M field. The Select Unit of Measure window appears allowing user to select a unit of measure from unit of measure set assigned to the inventory item. Qty and Rate values for the item will be recalculated based on the selected unit of measure.

The list contains follow information:

· Item - item name
· QOH- item's QOH on current location
· Fill.QOH. - item's QOH at Main location.
· Tr.Qty. - transaction quantity, initially is set to zero

Transaction quantity can be changed by scanning items and by entering the number of receiving items.

Receive All checkbox:

The user is able to receive transfer in full without manual entering of quantity. If the user marks Receive All checkbox, Tr.Qty is automatically set to Fill.QOH.

Changing receiving bin:

For every item on the transfer a bin is specified where the received items will be stored ("Unassigned" by default). For the items to go to the proper bin, you may need to change the receiving bin for that item.

Make a long tap on the item and select Change Bin option. The Change Bin window will open.

The window lists all bins that current item is present in. You can force it to show the full list of bins by checking the Show All Bins checkbox.

Highlight desired bin and tap Select.

It is also possible to distribute received pieces over multiple bins. To do this, make a long tap on an item and select Edit. In the opened window you will be able to define received quantity per bin location (use the link at the bottom to add bins on the list).

Memo tab.

Other tab contains Memo, editable field, up to 100 characters.

Save button

Clicking the Save button saves the transfer. After the transfer is saved, its status is set to “Saved”, the Receive Transfer window closes.

Transfer with "Saved" status can be editable. Saved transfer does not affect inventory.

Apply&Save button

Applying Receive Transfer transaction makes follow changes:

o QOH of current location is increased by the values of Tr. Qty field for every item (in accordance with selected U/M conversion ratio)
o The transfer status is changed to “Applied”

AttentionSign Note: Applied transfer cannot be edited.


Local Transfer

Local transfers allow you to move inventory between bin locations within current site.

To create a new local transfer, go to Transfer Center and tap Create Local button. The Local Transfer window will open:

First, add some items to the transfer one of the following ways:

· use Find button to select items from a list;
· tap Add button after entering item's exact name in the field next to it;
· use your wireless scanner to scan items into the transfer;
· tap Scan button to scan items with device's camera (Barcode Scanner application must be installed).

Then you need to select the source and the target (receiving) bins for the items. You can do it for every item individually. Highlight an item on the list, and then use From and To drop-downs to select the bins. Repeat the same with all the items.

If necessary, edit the item quantities and the number of the transfer (Tr. No. field).

Tap Save button if you wish to save the transfer as a work in progress for latter editing. This will NOT make any changes to your inventory.

Apply & Save button will finalize the editing and apply the transfer. The applied transfer can only be viewed, but not edited. Next time the device synchronizes, the applied transfer will be removed from Transfer Center, and appropriate changes will be made to your inventory.


Admin_2

Admin

The Admin window opens from the Main window.

Synchronize button

Click it to go to Synchronization page.

Settings button

Click it to go to the Settings screen.

Reports button

Click it to open Reports window.

About button

Click it to open the HandiFox information page.

Press Menu button on the device to open context menu.

Press Back button on the device to return to the previous Main window.


Synchronization

This section explains how to correctly start synchronization between the handheld and HandiFox Desktop module.

The Synchronization window is used to perform synchronization between the handheld and HandiFox Desktop module.

Different ways of communication could be used for synchronization:

· Using a cradle connected to PC;
· Connecting to PC via Bluetooth;
· 802.11 WiFi;
· Digital wireless;
· Cell phone modem link.

You will automatically proceed to Synchronization window if Synchronize checkbox on HandiFox Login page is checked. You can also get to this window using one of the following ways:

· Menu button arrow Sync
· Menu button arrow Admin arrow Synchronize
· Main window arrow Admin arrow Synchronize

Synchronization Settings

Click Settings button to open Synchronization Settings window.

Host field

Enter the IP address (e.g. 192.168.12.59) or domain name (like server.yourcompany.com) of the computer where the HandiFox Desktop is installed. Host field will keep server's address after successful synchronization.

Port field

HandiFox uses port 2439 for synchronization, so don't change it, except for troubleshooting.

Click Save button to save the setting. Press Back button on the device to return without saving.

AttentionSign Note: Your desktop computer with QuickBooks and HandiFox application installed should be accessible from handheld device by its IP address or domain name from the network to establish synchronization. You probably will have to configure your antivirus or firewall application to allow connections on port 2439. You may need also to setup your network hardware (router) to allow an access for handhelds from the Internet if you plan to use them outside your local network.

AttentionSign Synchronization over Internet:
If you are going to synchronize over Internet using a data plan on your handheld, you will also need to forward port 2439 from the PC with HandiFox to outside of your local network. Ask your system administrator to do it, or see the documentation for you router. It is also highly preferable to have a static IP address (one that doesn't change on every new connection to your provider). If your IP address is dynamic, you will have to enter the new IP in the Host field every time it changes. In this case you can request a static IP from your Internet service provider. The other option is to use dynamic DNS services, such as No-IP.com, which track your changing IP address and provide you with a constant domain name to use for connection.

Sync button

Click it to start synchronization after filling the Server field with the server address.

First synchronization time depends on your QuickBooks database size and could take from 2 to 10 minutes. Next synchronizations will take less time and will depend on changes in QuickBooks Integrated Module database happened from you last synchronization. Synchronization also depends on the speed of connection you are using at the moment.

The progress of synchronization and amount of data transmitted are displayed.

OK button

The OK button is shown after the synchronization process is completed. To repeat synchronization process, click OK button and re-open Synchronization window one more time to perform next synchronization session.

The following transactions are removed from handheld after successful synchronization:

· Purchase order receiving sessions.
· Purchase orders received in full (on this or other handhelds).
· Order and its correspondent invoices if
o order is invoiced in full
o its all invoices are paid in full
o its invoices and payments creation dates are not today
· Credit Memos with zero balance
· Payments with zero open balance (no overpayment)

AttentionSign Note: When Customer is created on a handheld then during synchronization with QuickBooks the system checks if customer with same name was created in QuickBooks. If so, then the system changes the customer Name by adding the “HF_COPY” text to the end. If customer name is longer than 34 characters, then characters starting with 35th position are replaced with “HF_COPY” text. When Customer with the same name is created on different handhelds then during synchronization with QuickBooks the system changes the customer Name by adding the “HF_COPY#” text to the end (starts with 1, increases by 1 for the next handheld, maximum number - 9) starting with the second handheld. If customer name is longer than 33 characters, then characters starting with 34th position are replaced with “HF_COPY#” text.

AttentionSign Note To start working with HandiFox handheld application you have to assign the handheld computer to a location in Handheld Device Manager window in QuickBooks integrated module, synchronize handheld again and then you will be able to use handheld application.

If handheld is not assigned to any location yet, then:

1. User name and password are checked

2. If user name and password are correct, then message “Not Assigned: This device is not assigned to any location yet.” appears.

Wireless or wired connection is necessary for handheld synchronization.


Settings

Settings window allows you to connect to a printer or a barcode scanner, configure your printer, set application timeout and enable/disable logging.

Select Printer

Tap Select Printer to open corresponding dialog box:

Here you can connect you device to a WiFi network printer or a portable Bluetooth printer.

Connecting to a WiFi network printer:

1. Make sure that the printer is on and connected to your local network, and your handheld has access to the network over WiFi.
2. Click Scan WiFi. HandiFox will scan the network for any printers available. Progress of scanning is shown:

3. After scan is finished, you will be offered to choose desired printer's IP address from the list:

If needed, define the right address from printer's properties in Windows. Choose IP address and click Select.
4. Select Printer box will be populated with printer models discovered on the network.

Make sure your printer is in Printer Model list. If needed, click Settings to open Printer Settings box and configure your printer. Click Save.

Connecting to a Bluetooth printer:

1. Make sure your Bluetooth printer is on, and your handheld device has Bluetooth enabled.
2. Click Scan Bluetooth. HandiFox will scan for nearby Bluetooth devices.
3. After scan is finished, you will see the list of nearby Bluetooth printers HandiFox was able to locate:

Select your printer from the list and click Select.
4. Select Printer window will be populated with printer models that were found on Bluetooth:

Make sure your printer is in Printer Model list. If needed, click Settings to open Printer Settings box and configure your printer. Click Save.

Select Scanner

Click Select Scanner to open corresponding dialog box:

Here you can connect your device to a Bluetooth barcode scanner.

To add a scanner:

1. Make sure your Bluetooth scanner is on and discoverable, and your device's Bluetooth connection is activated.
2. Go to Settings arrow Wireless and network arrow Bluetooth settings. Start a device search / scan for devices. The scanner should appear in the list. Tap on it to pair the scanner to your device.

3. Click Scan Bluetooth in the Select Scanner window.
4. When scan is complete, you will see the list of all Bluetooth devices located:

Select your scanner from the list and click Select.

Note: You can also use your device's camera for scanning using Barcode Scanner 4.0 application (download it there: http://www.appbrain.com/app/barcode-scanner/com.google.zxing.client.android)

Set Application Timeout

This dialog box allows you to set the period of inactivity, after which HandiFox will sign out of current user account. If that happens, the user will need to re-enter login and password to continue working with HandiFox. This feature helps to prevent unauthorized access to corporate data in cases when the device is lost or stolen.

Note: If you are using an Android device capable of receiving calls, and the phone rings, HandiFox will also sign out.

To set HandiFox login timeout, move the slider to a suitable position, then click OK.

Database Backup

This window is used to set preferences related to database backup on the device.

The directory backups are stored in is indicated in Backup folder text box.

Set Time button is used to change the time when daily backups are made.

You can mark the "Remind me to back up..." checkbox to make HandiFox offer you to do a backup every time you exit the application.

Enable Audio Warning

This option provides an audible notification played together with warnings and error messages displayed on the screen.

Log

Log check box is used to enable/disable HandiFox exception logging on the handheld device. It serves for troubleshooting purposes.


Reports

The Reports window opens when user clicks the Reports button in Admin window.

Settlement Report button

Click it to open Report Preview window allowing preview and print the Settlement report.

Sales Report button

Click it to open Report Preview window allowing preview and print the Sales report.

For Settlement and Sales reports you can specify the date range, up to last 7 days:

Payment Receipts button

Click it to open Receipt Report window allowing preview and print the Payment Receipt report.

AttentionSign Note: The Today's Sales button is enabled/disabled based on the Allow Sales user setting (configured in the User Manager window in the QuickBooks integrated module on desktop) or if Sales function is not allowed in the license.


Report Preview

The Report Preview window opens and generates the report.

When generated report contains no data then the "There is no data to be shown on the report." message appears and the Report Preview is not showed to the user.

Customer Statement Report

The Customer Statement Report is shown in the Report Preview window that appears when the user selects the Action/Print menu in the Customer Center window.

Customer Statement Report contains the following information:

· Company name
· Current date
· Customer name
· Customer bill address
· List of open invoices and credit memos with Date, Num and Open Balance fields (open balance for credit memos is shown as negative value)
· Total Open Balance

Settlement Report

The Settlement Report lists cash and check payments and Sales Receipt transactions created by current user on current handheld during the current day sorted by creation time.

Settlement Report contains the following information:

· Company Name
· Location Name
· User name
· Date
· Cash
o List of payments
· Recv from – customer name
· Num – payment number
· Amt – amount of payment
· Subtotal
· Number of entries (rows)
· Amount
· Check
o List of payments
· Recv from – customer name
· Num – payment number
· Amt – amount of payment
o Subtotal
· Number of entries (rows)
· Amount
· Total

Sales Report

The Sales Report lists invoices created by user on the current handheld during the day sorted by creation time.

Sales Report contains the following information:

· Company Name
· Location Name
· User name
· Date
· List of invoices grouped by customer
o Customer name - Customer group title
o Invoices
· Num – invoice number
· S.O.No. – sales order number
· Amt – invoice amount without taxes
· Tax – invoice tax
· Subtotal
o Amt subtotal
o Tax subtotal
· Total

Sales Order Report

The Sales Order report can be printed from Customer Orders window.

PO Report

The PO report can be printed from P.O. Center window.

Amt and Total fields are not shown when "Show cost" permission is disabled for a user.

Inventory Adjustment Report

The Inventory Adjustment report can be printed from the Inventory Counting window. It lists only items with not-zero quantity difference.

Fill Transfer

The Transfer Fill report can be printed from the Transfer Center window.

Receive Transfer

The Transfer Receive report can be printed from the Transfer Center window.

Payment Report

The Payment Report can be printed from the Receipt Report window.

AttentionSign Note: In Today’s Sales, Sales Order and Invoice reports the Sales Tax field is not shown if sales order or invoice was created when Sales Tax was switched off in QuickBooks.

Print button

Click it to print the report. The printout is made in accordance with the Print Format application setting (configured on the Settings window) – LETTER or 2INCH.


Receipt Report

Receipt Report window opens after clicking on Payment Receipts button in Reports window.

The Receipt Report window lists all payments created on handheld after the last synchronization with follow information:

· Num – reference or check number
· Received From – customer name who received payment
· Date – payment receipt date

Clicking the Print button opens the Report Preview window showing the Payment report for the Receipt currently selected in the list.


About_2

About

About window displays the application name, version and build date as well as the third party software included to the application installation.

Under the Device groupbox current device Name and ID are displayed.

AttentionSign You will have to re-register the handheld device in HandiFox system in case of Name of the device has been changed. Refer to License policy page for details.

This window is read-only.


Scheduling

Scheduling function allows HandiFox to pick up scheduled events from a Google Calendar account and display them inside HandiFox interface.

AttentionSign You should turn on Auto-sync for your Google account in Accounts and Sync settings on the Android device, otherwise some calendar events may not be loaded into HandiFox.

When first entering Scheduling screen, you will be prompted for a Calendar account to use in HandiFox. You can select any of Google accounts configured on your device. You can change the account later by selecting "Choose a calendar" from the menu:

Scheduling screen contains the list of all scheduled calendar events, grouped by day. Initially all groups are collapsed. By tapping on a group, you can expand it and display all the events scheduled on that day.

Tap on an event to view its description and location:

Find button.

By clicking it you can view the customer, sales order or invoice specified in the event description (see below). If no customer, order or invoice is specified, this button will be disabled. See more details on adding sales information below.

Show on map button.

If some location has been specified for current event, clicking on this button will open the map centered on that location.

You can add sales information to event description in the following combinations:

· customer alone;
· sales order alone;
· invoice alone;
· customer and sales order;
· customer and invoice.

Customer, Sales Order and Invoice must be specified in the following pattern:

Customer<colon><space>Customer Name<colon>Job Name
Sales Order<colon><space>S.O. Number
Invoice<colon><space>Invoice Number

AttentionSign Note that there must be no spaces before or after the colon separating customer and job names.

Example 1:

Customer: Kelly Ford
Sales Order: M-01-1-46

Example 2:

Customer: Baker's Professional Lightning:Store #10
Invoice: 152


QuickBooks Integrated module

This section describes the HandiFox QuickBooks Integrated module.

To run QuickBooks Integrated Module you have to start QuickBooks. Open the QuickBooks company file which you chose during HandiFox installation procedure.

AttentionSign It is important to use your QuickBooks company file Administrator login and password at least during the first time after you installed HandiFox to assign the permission for HandiFox and let the application to access the company file.

The following question will be asked when application is started for the first time after HandiFox is installed and can be asked every time the company file is opened if "Yes, prompt each time" option is selected:

Choose any variant you would like, except "No":

· "No" means QuickBooks Integrated Module will not be integrated to QuickBooks and HandiFox system will not work.
· "Yes, prompt each time" means QuickBooks Integrated Module will integrate to QuickBooks for this time and this permission request will appear next time you open the QuickBooks. If computer is running, but QuickBooks company file is closed, handheld devices will not be able to sync with QuickBooks (but will still be able to sync between each other).
· "Yes, whenever this QuickBooks company file is open" means QuickBooks Integrated Module will integrate to QuickBooks and HandiFox will have access to your company file every time it is opened. The permission request page will not appear anymore. If computer is running, but QuickBooks company file is closed, handheld devices will not be able to sync with QuickBooks (but will still be able to sync between each other).
· "Yes, always; allow access even if QuickBooks is not running" means QuickBooks Integrated Module will integrate to QuickBooks and HandiFox will have access to your company file even if QuickBooks is not running. If computer is running, handheld devices will be able to sync with QuickBooks even if it is not running.

We recommend you to choose the last option "Yes, always; allow access even if QuickBooks is not running".

Check "Allow this application to access Social Security Numbers, customer credit card information, and other personal data". HandiFox will never store any sensitive data like social security numbers, customer credit card numbers, etc. but QuickBooks requires that this access be in place if you have configured QuickBooks to manage payroll for your employees or process Credit Cards.

The QuickBooks Integrated Module is available from the QuickBooks user interface. It is located under File arrow HandiFox

It consists of 5 windows:

· Barcodes List - allows to view, generate, edit and print barcodes for inventory items.
· Counting Sessions - allows to view, create and void counting sessions created on handhelds.
· Customize Reports - allows to view and edit report templates.
· Export\Import - allows to export\import specific information from\to the system.
· Generate Purchase Order - automatically generate purchase orders based on item's sales information
· Handheld Device Manager - allows to manage the list of registered handheld devices.
· Handheld User Manager - allows to create, edit and delete handheld users.
· QOH Viewer - allows to view and adjust item's QOH at every location
· Settings - allows to configure HandiFox settings.
· View/Print Invoice - allows viewing and printing invoices with customer signature (is disabled if Sales function is not allowed in the license).

The Counting Sessions entry is not shown based on the “Inventory and purchase orders are active” setting configured in QuickBooks (go to the Edit menu and click Preferences, in the list at the left of the Preferences window, click Items & Inventory, click the Company Preferences tab).


Barcodes List

Barcodes List window allows you to view, generate or manually change and set barcodes for items and bin locations.

The window contains two tabs: Items and Bins, that allow you to manage barcodes assigned to inventory items and bin locations respectively. Available features and most interface elements are common for both tabs, so switch to the appropriate tab depending on whether you wish to manage items or bins, and follow the generalized instructions below.

Items tab:

The “Automatically generate barcodes for new items” read-only field shows current status of the correspondent system setting.

If U/M Set is assigned to an inventory item, then the grid will contain a separate row for every unit of measure of this inventory item. If there is no U/M Set assigned to the inventory item, then one row with default "NONE" unit of measure will be shown. "NONE" is also displayed if you use QuickBooks Pro which does not support Units of Measure.

Bins tab:

Search button

Use it to search for a text or number through the list. Type the search string in Look for text box and select a field to search in. Click the Search button to perform filtering. The list will only display entries that match the condition you have specified.

Refresh button

This button will refresh the list, reflecting any changes in items or bins that may have taken place since the window was opened. Refreshing the list will discard any unsaved changes you have made!

Clear Filter button

Click it to clear the search results and display the full list again. Button is disabled if there is no filter applied.

Barcode field

You can edit the Barcode field. Move cursor to the barcode field and type new or edit existing barcode. Every barcode must be unique, otherwise the error message “Barcode is already in use” is shown. You can also delete current barcode and save blank in order to set new later.

Maximum barcode length supported by HandiFox is 100 symbols, but maximum length of barcodes that can be printed from HandiFox on the Brother label printer is 18 symbols! All possible English symbols can be used in barcodes.

Include inactive check box

Allows seeing all entries (items or bins), including inactive ones. All inactive elements are marked with light green.

Save button

Use it to save all changes in barcodes that you have made.

Generate button

Click it to generate a barcode for every element that does not have one. Confirm the action and new barcodes will be generated. For inventory barcodes HandiFox will generate unique randomized alphanumeric sequences. For bins, their names will be set as barcodes.

Close button

Click it to close the window. If there are unsaved changes then the system asks to save or discard changes prior to closing the window.

Print label button

Use it to print selected barcodes. Click it and Print Barcode Label window pops up.

Print List button

Click it to print current list.

Export List button

Click it to export current list into an Excel spreadsheet, plain text (.txt), or CSV file.

Printing a label

HandiFox provides batch barcode label printing. Follow the steps below to print labels:

1. Mark checkboxes in the lines that you wish to print barcodes for. You can choose all lines in the list by checking the checkbox in the column header.

2.Set the number of copies. You can do it both automatically and manually.

- Automatically. Fill the "Copy number of items" and click Set. "Copy number" column will be filled for all checked barcodes if it was empty before.

- Manually. Enter number in "Copy number" column.

3.Click Print Label button.

Print Barcode Label window allows to compose custom barcode label. Check the data that your want to print out and uncheck what you want to hide. Refer to the screenshots below to see what fields are available for items and bins:

Up to 999 labels can be printed at one time. See more details on printer settings in HandiFox Installation Guide document.

Print button

Click it to print the selected labels. Standard system printing dialog will appear. Select default label printer printer from the list of printers and click “Print” (you can use any available printer to print a barcode label on the usual source as well).

Cancel button

Click it to close the Print Barcode Label window.

AttentionSign Note: Additional info on how to install Brother printer and select all required settings is shown in the Installation Guide.

AttentionSign HandiFox supports barcode length up to 100 symbols. But barcodes with length greater than 18 symbols cannot be printed due to the limited space on 2 inch label paper that is supported by HandiFox.

Printing with IDAutomation software

Barcode Label Software from IDAutomation is additional software the user can purchase to print barcode labels from the Barcode List window in HandiFox on the desktop. IDAutomation and HandiFox must be installed on the same computer.

When the user clicks the Print button on the Print Barcode Label window, the system checks if IDAutomation software is installed on the computer If IDAutomation software is not installed, then the list of selected barcodes is printed from HandiFox application (2" x 1" approx. size, single label on a page, regardless of the paper size).

If IDAutomation software is found on the computer, then HandiFox exports the selected barcodes to the "HandiFox barcode list.csv" file and start IDAutomation with this file opened in it. The user can edit the design, set up paper size and print label.

AttentionSign Note: The default fields from the Print Barcode label window should not be deleted by the user in IDAutomation. If the user deletes the default field in the label template in IDAutomation then this field can be added again only by inserting the new field linked to the column in the csv-file in IDAutomation.


Counting Sessions

Counting Sessions window allows viewing, applying or voiding any counting session created on HandiFox handheld devices.

Manager approval is required status (it can be set on Settings page) displays on the top of the window. If Manager approval IS required, then unapplied counting sessions are listed. After performing counting on handheld and synchronization, session appears in Counting Sessions window.

QuickBooks Adjustment account for counting sessions is displayed on the top of the window. It can be changed on Settings page.

Sessions with Reference number, handheld user name and date are displayed.

Click on the header of the grid to sort the list by the clicked column.

Refresh button

Click it to refresh the counting session list and manager approval setting.

Apply button

Click Apply button to open the Apply Counting Sessions window for selected sessions. The error message is shown if no sessions are selected.

View button

Inventory Counting Details window opens when you click on View button or double-click on selected session.

Void button

Clicking it means to void selected counting sessions after confirmation. All data from those sessions will be deleted.

When the window opens and there are unapproved counting sessions, the system checks if any of counted items were received, sold or returned in QuickBooks after items were counted on a handheld. If there are such items in counting sessions displayed, then the warning message is shown.

If status is Manager approval IS NOT required, then Apply, View and Void buttons are disabled and no sessions can be found on this page. In this case all sessions go directly to QuickBooks, updating QOH.

AttentionSign It is recommended to enable Manager approval is required option if more than 1 handheld is used to perform counting.

Cancel button

Click Cancel to close the window.


Inventory Counting Details

Inventory Counting Details window allows seeing details of currently selected counting session.

On Inventory Counting Details window you find counting session details: list of counted items with description, current quantity, new quantity and difference. The U/M field always shows the quantity in the base unit of measure (if no U/M Set is assigned for the item - NONE is shown).

Adjustment Date shows the date when the session was performed.

Ref.No. field shows the reference number that was entered on handheld.

User field shows the name of the user who applied the counting session on handheld device.

Adjustment account for the counting sessions is displayed. It can be changed on Settings page.

Site field shows the name of the location where the counting session has been performed.

Memo field shows all additional information that was entered by user during performing inventory counting on handheld.

Bins grid at the bottom left of the window provides per-bin counting details for currently highlighted item.

All fields are read-only because this is informative window. You cannot apply any session while inventory counting details window is opened.

Close button

Click it to close this window.


Apply Counting Sessions

Apply Counting Sessions allows you to apply results of counting session submitted by handheld users.

The window lists the items that were counted during the selected session.

The grid contains the following fields:

· Item (name)
· Description (purchase description of the item)
· Current Qty
· Total New Qty
· Qty Difference (difference between Total New Qty and Current Qty)
· U/M (base unit of measure, NONE if unit of measure is not assigned)

When you click on the header of the grid the list is sorted alphanumerically by the column clicked.

Adjustment Date field

Current system date is set by default, but you can change it.

Ref. No. filed

This information will remain with this transaction in QuickBooks. Any possible data can be entered here up to 11 symbols.

Adjustment Account field

This is read-only field indicates currently selected adjustment account.

Site field

This read-only field displays the site where the counting session was performed.

Memo field

This is the field where additional information on this inventory adjustment transaction can be entered.

Bins grid
Displays per-bin counting results for currently highlighted item.

Select items to save and apply.

AttentionSign Unchecked items will be voided.

Save button

Clicking Save button you agree to save current counting sessions and to void unchecked items. When a new counting session is created, QOH for selected items are updated with Total New Qty and the counting session uploads to QuickBooks, information about the synchronization process is shown and window closes when synchronization is finished.

Cancel button

Click it to close this window without saving.


Customize Reports

The Customize Report menu is available under the File->HandiFox menu in QuickBooks.

AttentionSign For the moment, only Windows Mobile version of HandiFox supports Report Customization.

When the window is opened no data are shown in it. To view template list and template Preview choose report type you want in the Select Report dropdown.

Following report templates are available:

· Invoice
· Packing Slip
· Payment Receipt
· Sales Order
· Sales Receipt

Choosing template displays the template list:

· Name - names of report templates;
· Size - size of report template. All reports have templates of two sizes - 2 inch and Letter (exception: Packing Slip, only Letter size can be customized);
· In Use - checkbox determines which templates will be used for report printing.

After you chose report type from Select Report dropdown and chose a template from templates list an appropriate report preview appears in the Preview section.

Include inactive checkbox

It allows seeing all templates, including inactive. All inactive templates are marked with grey.

Customize button

Click it to open Customization window which allows to customize highlighted template.

AttentionSign Note: default templates can not be edited. To customize report you should copy it using Copy button.

Copy button

Click it to create a copy of highlighted template.

Delete button

After confirmation, you can delete a highlighted template from the list.

Save button

Click it to save performed changes

AttentionSign Note: To be able to save changes, the user has to check both "2 inch" and "Letter" checkboxes for every of Invoice, Payment Receipt, Sales Order, Sales Receipt templates, and the "Letter" checkbox for Packing Slip template.

Close button

Click it to close the window. If there are unsaved changes then the system asks to save or discard changes prior to closing the window.


Customization

Customization window allows to customize report chosen in the Customize Reports window.

Each tab shows the list of information (fields) which can be included into the template. To display the field on the report set the Print checkbox. For the Columns and Prog_Cols you can set the order of fields. The name of fields and columns can be changed by changing the Title field.

Selected Template contains the name of edited template

Template is inactive checkbox

Click it to make current template inactive

Default button

After confirmation, default customization can be set. Click it to change settings to default.

When the user changes some information in the tabs, report preview is changed according to performed changes. You can see it in the Preview section.

Zoom dropdown and Custom field

Report preview can be scaled by choosing zoom in the Zoom dropdown or by entering zoom value to the Custom field

Orientation dropdown

Allows to choose report's orientation:

· Default - report will be printed in the default orientation (orientation which is chosen in the printer's settings)
· Landscape - report will be printed in the landscape orientation (regardless of the printer's settings)
· Portrait - report will be printed in the portrait orientation (regardless of the printer's settings)

Print Preview button

Click it to print report preview

Basic Customization button

Clicking it opens the Basic Customization window

Ok button

Click it to save customized template

Close button

Click it to close the window. If there are unsaved changes then the system asks to save or discard changes prior to closing the window.


Basic Customization

Basic Customization window allows to change basic setting for the report selected in the Customize Reports window.

Selected Template contains the name of edited template.

Use Logo checkbox and Select Logo... button

Allows to place your company's logo in the upper left corner of the report. Clicking the Select Logo... button opens the Open logo picture window where you should specify path for the file with the logo image.

AttentionSign Note: The file type of the logo must be one of the following:

· Bitmap (*.bmp);
· JPEG (*.jpg);
· GIF (*.gif);

Select Color Scheme dropdown and Apply Color Scheme button

Allows to change color scheme of your report. You can choose one of the following colors:

· Black
· Gray
· Maroon
· Green
· Blue
· Beige

Then click Apply Color Scheme button for the color scheme to be changed.

Change Font For: list and Change Font button

Allows customizing for all elements of reports separately. In the Change Font For: you can select an element of report for changing its font. Clicking the Change Font... button opens the Font window allowing changing appropriate font for the selected item in the Change Font For list.

AttentionSign Please note that if some of the fonts you have selected are not installed on the handheld, then the default font will be used instead.
To install a new font on your handheld device, connect it to a desktop computer by cable, browse the device memory to the folder \Windows\Fonts and copy there the font file(s) you want to add.

Company Information: Company Name, Company Address, Fax Number, Phone Number, E-mail Address, Web Site Address checkboxes

Mark it to place appropriate information of your company to the report.

When you change any settings, report preview is changed according to performed changes. You can see it in the Preview section.

Zoom dropdown and Custom field

Report preview can be scaled by choosing zoom in the Zoom dropdown or by entering zoom value to the Custom field

Orientation dropdown

Allows to choose report's orientation:

· Default - report will be printed in the default orientation (orientation which is chosen in the printer's settings)
· Landscape - report will be printed in the landscape orientation (regardless of the printer's settings)
· Portrait - report will be printed in the portrait orientation (regardless of the printer's settings)

Print Preview button

Click it to print report preview

Ok button

Click it to save customized template

Close button

Click it to close the window. If there are unsaved changes then the system asks to save or discard changes prior to closing the window.


Export\Import

The Export\Import window allows exporting and importing of:

· inventory barcodes;
· device list and transaction numbering;
· user information and settings;
· quantity on hand by location;
· device IDs, location and handheld users for transactions;
· customer signatures on open invoices;
· not received transfers;
· not applied counting sessions.

Mark the checkboxes for the data that you would like to export or import.

Note: after importing Device list and transaction numbering Handheld Device Manager window remains empty until handhelds are synchronized.

Export button

Clicking the Export button opens the Browse For Folder window where the user enters a folder for selected lists. Clicking the Make New Folder button creates a new folder, clicking the OK button saves lists, clicking the Cancel button cancels saving. Files of XML format are created after export.

Import button

When the user clicks the Import button and at least one checkbox is selected, then the message “Import””Are you sure you want to import selected lists? Information will be taken from imported file.” appears with Yes and No buttons. Clicking the No button cancels importing. If the user clicks the Yes button, the Browse For Folder window opens with Make New Folder, OK and Cancel buttons, where the user enters the folder location of the import files. Clicking the Make New Folder button creates a new folder, clicking the OK button restores data for selected lists, clicking the Cancel button cancels importing.

AttentionSign Note: Export operation creates files on the user's hard drive. After uninstalling the HandiFox application, these files are not deleted.


Import Barcodes from Excel File

You can import Barcodes List from file created in Microsoft Excel.

1. Create an Excel spreadsheet in the form:

Name U/M Barcode

Can each 1111111

Can box 1234564

Apple none @34%&

Name - the name of the item

U/M - the unit of measure name, enter “none” if no unit of measure is assigned

Barcode - the barcode that you about to assign

Save the Excel file in a specific folder.

AttentionSign Warning: don’t leave the Barcode field blank!

2. Go to QuickBooks -> HandiFox -> Export\Import. Check “Inventory Barcodes”.

Hit “Import” button, select “Yes” in confirmation window and choose the specific folder in “Browse for folder” window. Click “OK”

3. In “Import Barcodes” window check barcodes you are about to import.

You can change barcodes in this window (but your changes will not affect the Excel file). Click “Import”.

AttentionSign Note: the lines are highlighted with red if Item Name and U/M are not compliant with data in HandiFox Barcodes List.


Generate Purchase Order

The Generate Purchase Order window allows generating purchase orders for items that need to be replenished.

Use the Site drop-down to select the inventory site to replenish items at.

By default, the Start Date is set to one week before today, and the End Date is set to tomorrow. The Start Date could not be set later than today. The End Date could not be set earlier than the current day.

Select the Include Future Needs checkbox to enable the End Date field (items with zero Qty To Replenish and zero Future Needs are not shown).

The system calculates the quantity to replenish for every inventory item:

Qty To Replenish = Order Invoice Quantity + On SO Quantity – On PO Quantity - QOH, where

Order Invoice Quantity – total invoiced quantity since the start date

On SO Quantity – quantity on Sales Orders (total number of backorders)

On PO Quantity – on PO quantity

QOH - quantity on hand

If the Include Future Needs checkbox is selected then the Future Needs quantity is calculated for every item with positive quantity to replenish:

Qty Future Needs = (Order Invoice Quantity /Days) * Future Days, where

Days – number of day since start date till today

Future Days – number of days since today till the end date

The preferred vendor is selected in the Vendor field. The user is able to select another vendor for every item in the Vendor dropdown list.

Mark items to generate purchase orders by selecting appropriate checkboxes in the table.

Retrieve button

Click it to fill the window with items to replenish sorted by preferred vendor and item name ascending. If item has no Preferred vendor, then no vendor is selected in the Vendor dropdown. Items with negative Qty To Replenish are not shown.

Generate P.O. button

Click it to generate purchase orders for items that are marked as selected:

· Separate PO is generated for every vendor, selected in the Vendor field
· P.O.No. is set to unique number
· The PO quantity is set to: PO Quantity = Qty To Replenish + Qty Future Needs

If some checked item has no Vendor selected, then the "Cannot generate P.O. because some items have no vendor selected" message appears, the first such item is highlighted and purchase order generation is canceled.

Cancel button

Click it to close the Generate Purchase Order window.


Handheld User Manager

Handheld User Manager window allows managing the list of handheld users:

The Handheld User Manager window shows the list of handheld users. Any user can log on any device.

New button

Click it to create a new user. New Handheld User window will open.

Delete button

After confirmation, you can delete a handheld user from the list. It means that this user will no longer be able to synchronize from any device.

Edit button

Clicking on it will open the Handheld User window where you can edit current user data and permissions. Double-click on user will also open the Handheld User window for certain user.

Close button

Click it to close this window.


Handheld User

Handheld User (or New Handheld User when New button was clicked and new handheld user is to be created) window allows to change or set permissions or login and password of the selected user.

Mandatory fields when creating new user:

· Name - it should be unique, up to 30 symbols.
· Login - it should be unique, up to 10 symbols.
· Password - any 10 symbols can be used for password.

Show password check box

This option allows seeing the password.

Permissions:

Inventory:

· Show cost - allows/not allows inventory items cost viewing. It means that all information about item's cost will be removed from handheld device for certain user:
o no Amt (amount) information on P.O. Center window.
o no Cost and Total cost in Receive Items window.
o no Rate in New/Edit P.O. and Find/Add window invoked from Edit PO window.
o no Cost on General of Item Editor window.
o no Cost on Sales of Item Editor window.
o no Cost on Purchase Item Editor window.
· Edit Barcodes - allows/not allows barcodes editing. If Barcode Editing is disabled then barcode field will not be editable on handheld device
· Purchase Order - allows/not allows Purchase Order functionality. If Purchase Order is disabled then P.O. Center button is disabled on handheld device.
· Inventory Counting - allows/not allows performing counting session. If Inventory Counting is disabled then Inventory Counting button is disabled on handheld device.

Sales - allows/not allows sales functionality on handheld device. If the Sales checkbox is checked:

· Sales Rep – sales representative associated with the handheld user (the system adds the sales rep to transactions created by this user). The user has to assign a sales rep from the Sales Rep dropdown list with active Sales Reps, configured in QuickBooks.
· Show customers assigned to Sales Rep - determines if the user can review only customers assigned to the Sales Rep chosen in the Sales Rep dropdown. If Show customers assigned to Sales Rep is enabled then only customers assigned to the current Sales Rep are shown in the Customer Center on the handheld device. Otherwise all customers are shown.
· Sales Orders - allows/not allows Sales Orders functionality. If Sales Order is disabled then Sales Orders button is disabled in Customer Center on handheld device.
· Invoices, Credit Memos, Sales Receipt, Payments - allows/not allows Invoices, Credit Memos, Sales Receipt, Payments functionalities. If checkbox is disabled then Invoices, Credit Memos, Sales Receipt, Payments buttons are disabled in Customer Center on handheld device.
· Exceed Credit Limit - allows/not allows creating sales orders and invoices that exceed customer credit limit.

Transfers - allows/not allows transfer functionality. If Transfer is disabled then Transfer button is disabled on handheld device.

All changes in permissions and user data will take place after user's synchronization on handheld.

Save button

Click it to save all set data. Error message appears if login or user name already exists.

Close button

Click it to close this window. If there are unsaved changes, then confirmation message appears offering to save it.


Handheld Device Manager

The Handheld Device Manager window allows managing the list of handheld devices registered in the system:

Handheld Licenses groupbox includes the following read-only information:

Licenses used: number of licenses used to synchronize the devices assigned on Mobile locations

Free licenses available: number of free licenses

Total: total number of licenses, purchased by the customer from Tecom Group

The list of handheld devices registered in the HandiFox system contains the following information:

Device ID - The device ID is the unique handheld device identifier.

Device Name - name configured on handheld device

Site - name of the inventory site assigned to the handheld (if handheld device is not assigned to any site yet, then “NOT ASSIGNED” is shown)

Transaction Prefix- the transaction prefix of assigned site

AttentionSign The device appears in the device list after the first handheld synchronization with "NOT ASSIGNED" in Site field.

You should assign handheld device to a site, synchronize handheld and then you will be able to use handheld application.

The transactions prefix is used to populate S.O.No. and Invoice# when New Order, New Invoice, Credit Memo and New P.O. windows are opened in the handheld application. The user is able to edit the transaction prefix. If the Transactions Prefix is already used for active site, the message “Error””Transactions Prefix is already in use for other site. Please enter another prefix.” appears and saving is canceled.

The maximum number of devices is limited by HandiFox license.

Delete device button

Click it to delete selected device from the list. The mobile device is not able to synchronize if it is removed from the system. The removed device is marked as inactive.

Change site button

Click it to assign site to the handheld device or change already assigned one.

Click on drop-down list in the Change Site window to choose the site for current handheld.

AttentionSign You need to reinstall HandiFox handheld application on the device when you change site.

Cancel button

Click it to discard changes and close this window.

The handheld device cannot be synchronized if no free license available or license has expired.


Open Transactions to Pick/Pack

Open Transactions to Pick/Pack window allows viewing and printing the lists of Sales Orders and Invoices that can be picked and packed.

You can select Sales Orders or Invoices in the Transaction Type groupbox to switch between the respective lists.

If the Sales Orders option is selected, the list will display all open Sales Orders that contain any backordered items.

If the Open Invoices option is selected, the list will show all open Invoices for the Main location that are not packed and haven't been applied any payments or credits. It will not show invoices created through Sales Orders.

You can search through Sales Orders or Invoices using Look for Customer and Look for Num fields. When you type in the Look for Customer or Look for Num field, the list is scrolled down to the first entry which Customer name or reference number begins with the entered sequence, and that entry gets highlighted.

The Status drop-down list serves for filtering displayed Sales Orders or Invoices by their status:

· All - all open Sales Orders / Invoices are shown;
· Open - shows only those Sales Orders / Invoices that are not picked yet;
· Picked - shows those Sales Orders / Invoices that have been already picked;
· Partially Invoiced (for Sales Orders only) - shows those Sales Orders that have been invoiced in part;

The Print List button is used to print the Open Invoices/Orders to Pick/Pack report for the selected transactions. To choose transactions to be printed, check their checkboxes on the left of each row. The report contains the following information: Num, Customer, Date, Amount, Barcode.


QOH Viewer

QOH Viewer window allows to view item's QOH at every inventory site and Total QOH (shown in bold).

The Total QOH matches to the QOH shown in QuickBooks.

All active items of Inventory Part type with full name, sales description and QOH in base units are listed.

Search button

The QOH Viewer window allows filtering the items list. Type the search string in Look for text box and select a field to perform the filtering by selected

field. The following fields can be selected:

· All fields
· Name
· Description (Sales)
· Preferred Vendor
· Man. Part Number
· U/M
· U/M Set

Reset button

Click it to clear the filter results. Reset button is disabled if there is no filter applied

Refresh button

Click the Refresh button to retrieve the latest QOH information. Filter is cleared in this case.

View details

Clicking on View details button opens the Item Details window for the item currently selected in the list.

Export button

Clicking on it saves QOH Report.xls file with data about QOH on each location to avoid need to reenter data in case of reinstall desktop application.

Close button

Click it to close QOH Viewer window.


Item Details

The Item Details window opens from the QOH Viewer window. The window allows to view QOH, On Sales Order and On Purchase Order quantities and Available quantity for each site.

Item's full name and sales description are shown above the grid.

Following information is shown in the table:

· Site – location name
· QOH - QOH for every site and total QOH (in bold, matches to the total QOH shown in QuickBooks)
· On S.O. - quantity on sales orders for every location and total On S.O. (in bold, matches to the On S.O. shown in QuickBooks)
· Available Qty - available quantity for every location and total Available Qty (in bold)

Qty_av = QOH - qty_on_sales_orders

· On P.O. - quantity on not fully received purchase orders currently assigned to every location and total On P.O. (in bold, matches to the On P.O. shown in QuickBooks)
· Total - equals quantity in QuickBooks (sum of the quantities on all locations)

All quantities are shown in item's base units. User is not able to edit information in Item Details window.


Settings

HandiFox Settings window allows selecting an Adjustment account, set Manager approval is required, Automatically generate barcodes for new items, Take customer's signature, Customer's signature mandatory, Shipment Verification, Description of transactions options.

QuickBooks company file is a read-only field displaying the QuickBooks file that HandiFox has been associated with.

AttentionSign To change the QuickBooks company file you have to uninstall HandiFox and install it selecting a different file (all HandiFox data for current QuickBooks company file will be lost in this case). All HandiFox applications on handheld devices will need to re-install as well.

Inventory adjustment

Manager approval is required check boxes

This means that whenever counting session is performed on handheld, it will not be applied to QuickBooks automatically. Manager approval is needed. All counting sessions in this case can be viewed and managed in the Counting Sessions window.

The option can be enabled/disabled on Main and Mobile locations independently

· Main location (set to ON by default) – applies to counting sessions, created by handheld devices assigned to the Main location
· Mobile locations (set to ON by default) – applies to counting sessions, created by handheld devices assigned to mobile locations

Adjustment Account drop-down menu

It is the drop-down list with number of accounts. Counting sessions synchronized to QuickBooks are going under selected account.

Note: Manager approval is required and Adjustment Account fields are disabled if Inventory function is not allowed in the license.

Inventory items

Automatically generate barcodes for new items check box

It’s checked by default. This means that if a new item is created in QuickBooks, then a barcode for it is generated automatically. If the check box is not checked, then user has to generate it on Barcodes List page manually or automatically. Barcode for the item can be also entered using handheld device (Barcode tab of Item Editor window).

Customer's Signature on Invoices

Take customer’s signature

Shows/hides the Customer Signature window when saving an invoice on handheld. Enabled by default.

Customer’s signature is mandatory

Allows/disallows saving invoices with empty customer’s signature. Enabled by default.

Note: The checkbox is unselected and disabled when the Take customer’s signature checkbox is unselected.

Access to Inventory Adjustment and Customer's Signature on Invoices is enabled or disabled if Inventory or Sales functions correspondingly are not allowed in the license.

Shipment Verification

Warehouse

Allows/not allows Pick/Pack Invoice and Pick/Pack Order feature.

Enable Pack All feature

Allows/not allows the user to pack Sales Orders and Invoices without scanning all items. If Enable Pack All feature is enabled, Pack All checkbox is available in Pack Order and Pack Invoice windows.

Description on transactions

Allows to select what item's description is showed in HandiFox. If both checkboxes are selected, then purchase description is used for Inventory transactions and Sales description for Sales and Transfers transactions.

Database backup settings

Make database backup each day at:

It allows you to restore users data in case of database corruption. Set the appropriate time when the database backup should be done. Use the time when a computer is turned on, otherwise back up will not be made.

QuickBooks Multi-User mode

Transactions recovery period

Allows setting the transactions recovery time period. It is recommended to set when QuickBooks file is shared by several users in order to prevent data inconsistency.

OK button

Click OK to save settings. Warning message appears if you want to uncheck Manager approval is required check box, but there are unapproved counting sessions in the system.

Cancel button

Click Cancel to close the window.


View/Print Invoice

If Take customer's signature option is enabled, all invoices saved in the handheld application contain customer’s signature. The View/Print Invoice function allows viewing and printing invoices with customer signature.

The Handheld Invoices window lists invoices created and/or edited in the handheld application.

The window contains the following fields:

· Site ( Name of the site where invoice was last saved)
· Customer
· Type
· Num (transaction number)
· Date
· Amount
· Open Balance

When the user clicks on the header of the grid the list is sorted by the clicked column.

To filter the list make the selection in the Filter By dropdown:

· All Invoices
· Open Invoices (selected by default when the Handheld Invoices window is opened).

Type in the Look for Customer field on the top of the window to scroll to the invoice, which customer name begins with the entered sequence. The system highlights it.

Type in the Look for Invoice # field on the top of the window to scroll to the invoice, which number begins with the entered sequence. The system highlights it.

View button (or double-click on the invoice)

Click it to open the View Invoice window for the selected invoice.

Close button

Click it to close the Handheld Invoices window.


View Invoice

The View Invoice window opens when the user clicks View button or double-clicks on an invoice on the Handheld Invoices window.

It shows the Invoice details with the signature.

Print button

Click it to print the invoice. Printout is LETTER size.

Close button
Click it to close the View Invoice window.


HandiFox System Monitor

HandiFox System Monitor starts automatically when your system starts. Its icon is displayed in the system tray and can look different depending on the current HandiFox system status.

· Grey HandiFox icon is shown if QuickBooks synchronization or MobiLink synchronization service is stopped.
· Usual HandiFox icon is shown if the system is in normal state.
· HandiFox icon with exclamation mark is shown if some error occurred. A balloon tip with error information automatically pops up when an error occurs. The system monitor icon remains with exclamation mark until errors are cleared. Open (double-click on HandiFox icon) HandiFox System Monitor arrow View log arrow Clear errors button.

Collect logs button allows you sending report with log files to support team if you have problems with HandiFox.

Note: HandiFox uses parts of the 7-Zip program. 7-Zip is licensed under the GNU LGPL license. Its source code can be found on 7-zip.org.

The mouse right-click on the tray icon opens the menu that allows the following:

· Start handheld connection or Stop handheld connection.
· Start QuickBooks connection or Stop QuickBooks connection.
· View log. This window can operate in 2 modes:
o Show all details (shows all errors, warnings and handheld synchronization sessions with timestamp, device ID and status)
o Show errors and warnings only

· Register... - allows you to set HandiFox license file.
· About - opens About window, which allows you to view information about the HandiFox system.

AttentionSign Go to Trouble Shooting page for information about error messages appearing in HandiFox System Monitor. Information about license related messages is available on License policy page.


About

About window serves to display information about HandiFox system currently installed.

To open it, right click on the System Monitor icon in the system tray, and select About.

The About window displays the following information about HandiFox:

· General information:
§ full application name;
§ installation type;
§ current version number;
§ build date;
§ copyright information.
· Third party components list.
· License information:
§ license owner;
§ allowed number of devices;
§ time until expiration;
§ allowed functionality.


HandiFox all modules interaction

This is a separate topic to point out why synchronization is so important for HandiFox system.

Synchronization is a crucial thing within HandiFox system. It allows having most recent information both in HandiFox and QuickBooks (e.g. quantity on hand (QOH) for inventory items). Some data can be changed in QuickBooks Integrated Module ( Transfer from Main location is generated e.g.) and handheld synchronization is needed for the handheld to pick up the new data. Synchronization is very important for inventory counting - it allows seeing the actual item's QOH in QuickBooks and manager can make decisions for applying counting sessions based on most recent information. Synchronization is required to pick up the transactions created in QuickBooks on handheld.

If you need to perform some actions and transactions in QuickBooks, but you don't want it to impact information on handheld you can stop QuickBooks connection. Then QuickBooks Integrated Module under File arrow HandiFox will not have updated information from QuickBooks neither do handhelds. But as soon as you start connection again, all data will be downloaded to QuickBooks Integrated Module and then after handheld synchronization it will appear on handhelds. Stopping QuickBooks connection does not stop handhelds connection. Handhelds will still be able to synchronize with HandiFox Desktop Module and update data based on current data from the HandiFox Desktop Module.

If you want to work only within QuickBooks and HandiFox Desktop (QuickBooks Integrated Module) then stop handheld connection and handhelds will not be able to synchronize. Synchronization between QuickBooks and HandiFox Desktop Module performed automatically when QuickBooks connection is started.

AttentionSign By default both handheld and QuickBooks synchronization are started and it is strongly recommended to not stop them.


License policy

The licensing mechanism limits the following system functionality:

· Trial period (30 days).
· Number of handheld devices allowed to be synchronized.
· Time that license is valid for.
· Allowed functionality (Inventory or Sales)

Allowed functionality (depends on license) is represented in the table. ML - Multi-Location is installed. SL - Single Location is installed.

 | Inventory | Sales
QuickBooks Integrated Module menus
Assign Purchase Order | ML | ML
Barcode List | ML, SL | ML, SL
Counting Sessions | ML, SL | ML, SL
Create Mobile Location's Inventory List | ML | ML
Export/Import | ML, SL | ML, SL
Generate Purchase Order | ML, SL | ML, SL
Handheld Device Manager | ML, SL | ML, SL
Handheld User Manager | ML, SL | ML, SL
Inventory Transactions by Location | ML | ML
Mobile Location's Manager | ML | ML
QOH Viewer | ML | ML
Settings | ML, SL | ML, SL
Transfer Center | ML | ML
Transfer Discrepancy Report | ML | ML
View/Print Invoice | - | ML, SL
Handheld buttons
Admin | ML, SL | ML, SL
Inventory | ML, SL | ML, SL
Sales | - | ML, SL
Transfer | ML | ML

While no license file is registered in the system, the HandiFox installation is considered as trial and following limitations are set:

· Expiration date is set to the date of installation plus 7 days.
· Only two devices are allowed to be synchronized during trial period for Multi-Location and one device for Single Location.

AttentionSign The licensing file should be stored on the desktop computer, where HandiFox is installed.

To set the license file go to HandiFox System Monitor menu (right-mouse click on HandiFox icon in system tray) arrow Register... If wrong license file is chosen during license file setting procedure in Register... menu or license file is corrupted, the “License file is invalid” error message is shown. User is able to select another file after that. System will stay in previous state if new license file is not set.

· When new license file is set, information about all previously registered handheld devices removes from the HandiFox Handheld Device Manager. Handheld devices will be re-registered as soon as they will be synchronized with HandiFox Desktop module.

· The warning message “New handheld device is registered. Device name: <device_name>" pops up in the HandiFox System Monitor in the system tray If handheld device is not registered and there is a free license available (number of registered devices is less than maximum number of devices defined in the license). The handheld device is allowed to synchronize after that.

· If handheld device is not registered and there is no free license available (number of registered devices is equal to the maximum number of devices defined in the license), the message "The user login or password is incorrect or license problems. Please check the HandiFox System Monitor” is shown to the handheld user and the “Handheld (Device name: <device_name>) cannot be synchronized. There is no free license available. Please contact Tecom Group to get additional licenses” error message pops up in the HandiFox Monitor in the system tray. Handheld is not allowed to synchronize in this case.

· If license is expired, synchronization is not allowed, the message “Handhelds cannot be synchronized. License is expired. Please contact Tecom Group to extend the license” is shown in HandiFox System Monitor log. Handheld shows "The user login or password is incorrect or license problems. Please check the HandiFox System Monitor" error message during synchronization attempt.

· If Device name on handheld device was changed by any reason, the message: "Handheld "Device name" cannot be synchronized. The device name was changed. Please check the Handheld Device Manager." will appear in HandiFox System Monitor log. In the same time "The user login or password is incorrect or license problems. Please check the HandiFox System Monitor." error message appears on handheld device. To resolve the problem you need either to change the Device name back to the original Device name on handheld device or delete the handheld device from Handheld Device Manager window and re-register it (by synchronizing it with HandiFox Desktop module) with new Device name.

For any information regarding receiving or updating license please contact support@handifox.com.


System requirements

1. Operating system:
· Microsoft Windows XP
· Microsoft Windows Server 2003
· Microsoft Windows Server 2008
· Microsoft Windows Server 2008R2
· Microsoft Windows Vista
· Microsoft Windows 7
· Microsoft Windows 8

AttentionSign Regional Settings are supported when set to English (United States) with keyboard setting to US only.

2. Recommended PC configuration:
· At least 2.0GHz processor.
· At least 512MB of RAM (1GB recommended).
· 512 MB of disk space.
· Access to the LAN or Internet Network (depending on your business needs).
3. QuickBooks versions and editions:
· QuickBooks US: QuickBooks® Pro, Premier, Accountant or Enterprise 2008-2013
· QuickBooks CA: QuickBooks® Pro, Premier, Accountant or Enterprise 2009-2013

AttentionSign QuickBooks® Pro does not support Units of Measure and Sales Orders. Unit of Measure feature will be turned off if QuickBooks Pro is used. You will be able to work with all HandiFox functions but operates only with items base unit of measure. All unit of measure related windows will show "NONE" as unit of measure for the selected item.

4. Android handheld device:
· Operating System: Android 2.3.3 or higher (except for 3.x).
· Device memory: at least 512 Mb of free space.
· HandiFox has been tested with the following Android devices:
ü Samsung Galaxy SII;
ü Samsung Galaxy Note II;
ü HTC Incredible S;
ü Google Nexus 7
(Note: Does not have rear view camera, so scanning with built-in camera is not available on this device);
ü Samsung Galaxy Tab 2 (7" and 10.1" tablets)
(Note: The camera in Galaxy Tab 2 tablets does not have auto-focus feature, so it cannot be used for scanning).
5. For work with Windows Mobile handhelds - ActiveSync 4.5 if you are using Microsoft Windows XP or Microsoft Windows Server 2003 and Windows Mobile Device Center if you are using Microsoft Windows Server 2008, Microsoft Windows Server 2008R2,Microsoft Vista or Microsoft Windows 7.
· To get more information on Active Sync and download it please visit the web page by this link.
· To get more information on Windows Mobile Device Center and download it please visit the web page by this link.
6. Bluetooth barcode scanners (for use with Android devices):

Bluetooth barcode scanners with SPP (Serial Port Profile) type of Bluetooth connection. HandiFox has been tested with the following scanners:
· Socket CHS 7E;
· Koamtac KDC300;
· Opticon OPN2002.

Note: On Android devices you can also use the built-in camera for scanning using Barcode Scanner 4.0 application (download it there: http://www.appbrain.com/app/barcode-scanner/com.google.zxing.client.android). The device must have a back camera with auto-focus.

7. Printers:
· Label printer:
ü Brother QL-580N, labels 2-3/7" x 1-1/7"
(Note: Labels can be printed with office printers and optional software from IDAutomation. Please call for details).
· Receipt printers:
ü Intermec PB-20 Direct Thermal Portable Printer. Visit the web page by this link.
ü Brother HL-2170W. Visit the web page by this link.
ü Letter HP Officejet H470 Mobile Printer. Visit the web page by this link.
ü Zebra RW 220 Rugged 2 Inch Mobile Receipt Printer. Visit the web page by this link.
ü Zebra QL 220 Plus. Visit the web page by this link.
ü HP Deskjet 460 Mobile Printer series. Visit the web page by this link.


Hints and tips

Here is a list of points that you should keep in mind when operating in the HandiFox system.

ü The HandiFox system operates with the QuickBooks "Inventory Part", "Inventory Assembly" and "Service" type of items, as well as "Other Charge" items with fixed amount. Exception is invoices that contain items of types other than listed above are loaded from QuickBooks to HandiFox.
ü HandiFox supports barcode lengths up to 100 symbols; however, barcodes with more than 18 symbols cannot be printed due the limited space on 2 inch label paper that is supported by HandiFox.
ü When performing inventory counts, the quantity on hand will remain the same until the counting session is approved.
ü All changes in permissions and user data require synchronization with handheld to be activated.
ü To change the selected QuickBooks, file you have to uninstall HandiFox and re-install it selecting a different file.
ü Synchronization between the handheld unit and QuickBooks requires either a wireless or wired connection.
ü The assigned scanner button starts the scanner only when the HandiFox application has been started first.
ü Synchronization is mandatory if you are logging in for the first time after installing the HandiFox application on the handheld unit.
ü Only active inventory items are displayed in the Item List menu. Inactive items are not displayed.
ü Each item may have several barcodes, one for each unit of measure from the unit-of-measure set assigned to the item.
ü After a counting session has been applied, it cannot be edited on the handheld.
ü Only one counting session at a time can be performed on a handheld unit.
ü PO receiving sessions cannot be voided after synchronization.
ü Received quantities in PO cannot be more than backordered quantities.
ü Original PO quantity, PO backorder quantity, received quantity and cost values are recalculated based on the unit of measure selected.
ü An inventory counting session may be synchronized to QuickBooks only if the QuickBooks file is opened in single-user mode.
ü If the QuickBooks company file is opened in single-user mode, then only one integrated application may access to the QuickBooks file.
ü Remember to synchronize the handheld to avoid losing important data, otherwise QuickBooks and handheld synchronization should be started from the system monitor to have synchronization work correctly.
ü You can see the version of the software currently running by selecting the About menu on either the handheld device or System Monitor.
ü The quantity on hand is not applied, when a counting session is saved.
ü Changing cost applies to that particular PO receiving session only.
ü When you click on the header of the grid the list is sorted by the column clicked.
ü The mobile device cannot be synchronized without an available license or if the license has expired.
ü If HandiFox permissions in QuickBooks have been changed, it is recommended to restart QuickBooks application.
ü When Sales Order, Invoice, Purchase Order or Customer is modified on handheld then during synchronization with QuickBooks the system checks if this transaction was modified in QuickBooks. If so, then changes made on handheld are discarded and changes from QuickBooks are kept.


Trouble Shooting

Warnings and Errors from HandiFox System Monitor log:

· Didn’t connect to HandiFox Event Logger Service. Please restart HandiFox System Monitor.

Suggestions: System Monitor may show this message if at the moment it started the Event Logger service was not running. Try to do the following:

First, close the System Monitor and start it again from Tecom Group folder in the Programs menu.

If the warning appears again, open Services Manager (Start > Programs > Administrative Tools > Services) and make sure “HandiFox Event Logger” is running. If it isn’t, try to start it, and also make sure its Startup Type is set to Automatic. Then restart HandiFox System Monitor.

If you are unable to run the service the way described above, try to reboot the PC.

· "Failed to upload "Inventory Adjustment without reference number to QuickBooks. Make sure QuickBooks company file is opened in single-user mode and HandiFox has permission to connect to company file."
· "Failed to upload "Inventory Adjustment with reference number n to QuickBooks. Make sure QuickBooks company file is opened in single-user mode and HandiFox has permission to connect to company file."

Suggestions: Close modal windows in QuickBooks and synchronize again, close and reopen QuickBooks company file and perform synchronization from Handheld once again.

· "Failed to upload Inventory to QuickBooks. Make sure QuickBooks company file is opened in single-user mode and HandiFox has permission to connect to company file."
· "Failed to upload PO.Make sure HandiFox has the permission to connect to company file."

Suggestions: Open QuickBooks with appropriate company file.

· "Opened company file is not configured to be used with the HandiFox system."

Suggestions: Close currently used QuickBooks file and open the file that was chosen during HandiFox install procedure. You can view what company file HandiFox is integrated with in the following file: C:\Program Files\Tecom Group\HandiFox\HandiFox.ini. If the company file currently opened in QuickBooks is the one that you actually need to use, then reinstall HandiFox.

· "A modal dialog box is showing in the QuickBooks user interface. HandiFox system cannot access QuickBooks until the dialog box is closed."

Suggestions: Close Modal window in QuickBooks and restart QuickBooks Connection service from System Monitor

· "The HandiFox system has not been granted access to QuickBooks company file. Only the QuickBooks administrator can grant the system permission to access a QuickBooks company data file."
· "The HandiFox system is not allowed to log into this QuickBooks company data file automatically. The QuickBooks administrator can grant permission for automatic login through the Integrated Application preferences."

Suggestions: Switch multi-user mode to single-user mode and reopen QuickBooks company file.

· "The PO has no vendor assigned."

Suggestions: Go to created PO and add vendor.

· "Failed to connect to the database."

Suggestions: Close programs that can use Sybase SQL Anywhere 12, reboot the computer and uninstall these programs.

· "Failed to upload inventory adjustment transaction to the QuickBooks.
· "Failed to upload item receipt transaction to the QuickBooks.

Suggestions: Restart QuickBooks Connection service from System Monitor and reopen QuickBooks company file.

· "Failed to connect to QuickBooks. Please re-open the company file."

Suggestions: Re-open QuickBooks company file and restart QuickBooks Connection Service from System monitor.

· "Failed to subscribe to QuickBooks for events. Please restart the QuickBooks synchronization service."

Suggestions: Restart QuickBooks Connection service from System monitor, Restart computer.

· "Failed to unsubscribe from the QuickBooks."

Suggestions: Close company file and restart computer.

· "Your HandiFox license file is corrupted."

Suggestions: If the license file is stored on a network location, copy it to the local hard drive and register again. If it is stored on the local hard drive, make sure it hasn’t been renamed, moved or deleted. If it has been renamed or moved, register it again.

The set of errors that is related to QuickBooks synchronization:

· "Failed to read inventory items."
· "Failed to get inventory item information."
· "Failed to get Purchase Order information."
· "Failed to get Sales Tax Code information."
· "Failed to read sales tax codes."
· "Failed to read unit of measure set."
· "Failed to get unit of measure set information."
· "Failed to get Unit Of Measure Set information."
· "Failed to read unit of measure set."
· "Failed to get vendor information."
· "Failed to get vendor type information."
· "Failed to read Vendors."
· "Failed to read Vendor Types."

Suggestions: Restart QuickBooks Connection from System Monitor.

· "Failed to retrieve information from the QuickBooks company file. Please re-open the QuickBooks company file."

Suggestions: This could happen during first HandiFox start when HandiFox Setting window is opening. The problem could be - opened QuickBooks dialog windows. Please, close all QuickBooks dialog windows reopen HandiFox Setting window (File -> HandiFox -> Settings).

· "The HandiFox requires Regional Settings to be set to English (United States) with keyboard setting to US only. The HandiFox QuickBooks synchronization service will be stopped. Please, change you Regional and Language Settings."

Suggestions: As stated in System requirements, Regional Settings are supported when set to English (United States). Please check your Regional Settings (Start > Control Panel > Regional and Language Options).

Note: The same error message could appear if the Currency Decimal Symbol is not set to period.

· "Cannot connect to QuickBooks. Please restart QuickBooks, close all dialog boxes showing in the QuickBooks user interface and restart HandiFox QuickBooks synchronization"

Suggestions: Re-open QuickBooks company file and restart QuickBooks Synchronization Service from System monitor.

· "Vendor: <Vendor Name> has been deleted from QuickBooks user interface. Item Receipt cannot be uploaded until Vendor will be restored with it's original name.

Suggestions: Restore Vendor with its original name and synchronize the handheld.

Handheld errors:

· No customers can be found in Customer Center.

Suggestions:

If current handheld user has the “Show customers assigned to Sales Rep” setting enabled, Customer Center will display only those customers who are assigned to current user’s sales rep. To be able to see all the customers, turn this setting off in HandiFox Handheld User Manager.

Note: Customer Center window normally does not display all customers. Type customer’s name in the Look for Customer field to search for a customer, or the percent sign (%) to display all customers.

· Inventory Items screen opens empty.

Suggestion:

If it is a mobile location, you may have not populated it with items yet. Use the Create Mobile Location’s Inventory List window on the desktop to add some items to current mobile location.

In case you have more than 5000 items, they are not displayed when the window opens. Use the search field to find items you need.

· No PO is displayed in P.O. Center window.

Suggestion: Only those PO are displayed on the handheld that are open and assigned to current location. You can assign a P.O. to a location in the Assign Purchase Order window on the desktop.

· When using scanner on a Windows Mobile handheld, the scanner is scanning only first barcode correctly, and all others are wrong.

Suggestion: If your device comes with Data Wedge software included, make sure you have turned it off before starting HandiFox. Otherwise, Data Wedge will affect the output of the scanner and won’t let it be properly used in HandiFox .

Windows Mobile synchronization errors:

· Error 1

Suggestions: Verify that correct address for synchronization was used, verify that handheld is connected to network and verify that Handheld synchronization service is started from System monitor. Reset Handheld and restart synchronization.

· Error 248

Suggestions: Enter correct login and password (probably it was changed on desktop Handheld User window)

· unknown error

Suggestions: Uninstall HandiFox application from handheld and deploy HandiFox on handheld.

Android synchronization errors:

· Android handheld won’t synchronize after updating HandiFox on the desktop.

Suggestion: You need to reinstall HandiFox on the Android device. Uninstall HandiFox from the device first, and then install it again. Don’t install another copy of HandiFox over the existing one!

· “Error During Sync”, accompanied with

“MobiLink communication error – code: 57” or “MobiLink communication error – code: 63”

Suggestions: Make sure both the device and the computer with HandiFox have an active network connection. Open Synchronization Settings and make sure you have entered the correct IP address or domain name of the computer with HandiFox.

If suggestions are not working and you still observe any issues then please contact support@handifox.com

Unusual situations:

· After HandiFox was installed, HandiFox menu section did not appear under File menu in QuickBooks.

Suggestions: If this happened right after you installed HandiFox, try the following:

If you haven’t registered your license file in HandiFox, register it. Try to reboot the PC.

If the above didn’t help, log in to QuickBooks as administrator and go to Edit > Preferences > Integrated Applications, the Company Preferences tab. Make sure that HandiFox has all required permissions, then restart QuickBooks.

· After synchronization, some transactions created in QuickBooks have not appeared on the handheld, or item quantities are not correct.

Suggestions: If the transaction was created shortly before you synchronized the handheld, it might not have loaded to the handheld because of the Recovery Period setting. This setting serves to organize HandiFox access to the company file while multiple users are working with QuickBooks.You can go to QuickBooks > File > HandiFox > Settings and turn the Recovery Period off, but only if you don’t have multiple QuickBooks users working simultaneously. In this case, if you need some transaction to be synchronized immediately, you can restart QuickBooks connection in HandiFox System Monitor.

· Barcode(s) automatically changed:

Suggestion: This may happen if you change name or abbreviation of U/M. Changing name of U/M set causes changing barcodes for all units that have the following Unit of measure set.

· Handheld device name automatically changed:

Suggestions: If handheld device name in local network is not unique it is automatically changed and handheld synchronization from HandiFox is not possible. Error appeares in System Monitor:"System: handheld "<device_name>" cannot be synchronized. The device name was changed. Please check the Handheld Device Manager." To avoid this situation check that all your devices have the unique names, besides, PDA names must differ from the names of desktop computers in your local network.

Also device name is changed to "Pocket_PC" after hard reset.

To resolve the problem change the device name via Start->Settings->System->About->Device ID. You need to change device name to the one that was registered in HandiFox Handheld Device Manager in QB IM then synchronize.

· If QuickBooks company file was updated from 2005 up to a higher version, then in rare cases HandiFox application couldn't download Price Level List.

Suggestions: Enter Price Levels all over again.

General Recommendations

Make sure system time is exactly the same on the computer with HandiFox, on your handheld(s) and on the computers of other QuickBooks users in your company (in Multi-User mode).

Store your HandiFox license file on the same computer where HandiFox is installed and not somewhere on the network.

Store the license and exported data in a safe, well-known location, where they can't be accidentally deleted or moved from.

If you use a Windows Mobile handheld, please go to Windows Mobile Device Center (or Active Sync in Windows XP), open the device’s connection setting and make sure the following checkboxes are ticked:

· Allow USB connections;
· Allow automatic device authentication;
· Allow data connections on device when connected to PC

If your Windows Mobile handheld comes with Data Wedge software installed, be sure to disable it before starting HandiFox, otherwise it may affect the work of the barcode scanner, causing barcodes not scanned correctly in HandiFox.

It is recommended not to change abbreviation or name of U/M from U/M set that is in use.

After hard reset on a Windows Mobile handheld application automatically recovers. To delete it from handheld you have to go to appropriate folder and manually delete it.

It is not recommended to use a customer credit as payment in QuickBooks.

HandiFox application can't trace when user applies Credit Memo directly to invoice.

Suggestions: Edit the invoice (e.g. enter a comment), then HandiFox application will download the invoice as paid.

It is not recommended to use price level rounding.

QuickBooks doesn't provide information about price level rounding, therefore HandiFox application rounds price to two decimal places.

It is not recommended to delete a vendor from QuickBooks if there are open transactions in a handheld for this vendor.

It will lead to purchase order and item receipt lost.

Suggestions: Restore vendor with its original name and synchronize the handheld. Item Receipts will be uploaded to QuickBooks.

If you have any problems, you can report about it to support team using Collect logs button in System Monitor. It will automatically collect all needed log files and create message to be sent.


Technical support

Tecom logo 4x1_clean_resized

Tecom Group Inc.

1900 S. Harbor City Blvd.,

Suite 100 Melbourne, FL 32901

+1-321-956-3454

1-877-9-HANDIHELP

www.handifox.com

support@handifox.com

HandiFox User Manual revision number 7.1


Glossary

 Top Previous

Active item – An item that is marked as Active in QuickBooks.

Amount – The total value of the purchase order that is displayed in the PO manager window.

Asset account – This account is used to track credits that are to be applied to your future tax liabilities. These credits will reduce the amount of your next payroll liability check. (QuickBooks® definition)

Average cost – For an inventory item, average cost is the total cost of the items currently in stock divided by the number of items in stock. QuickBooks® recalculates the average cost of an item each time you record the purchase of more units of the item. It adds the cost of the new items to the cost of the old stock and then divides by the total number of new and old items. (QuickBooks® definition)

Barcode – (also bar code) is an optical machine-readable representation of data.

Base U/M – The first unit defined in a unit of measure set and is usually the smallest unit of measure used for an item when purchasing it, tracking it in inventory, and selling it. In QuickBooks®, the base units of items are used to count inventory, generate most inventory reports, and perform quantity-related calculations. (QuickBooks definition)

Cost – The price used when purchasing an item from a vendor.

COGS (Cost of Goods Sold) Account – The Cost of Goods Sold account is added to your chart of accounts the first time you add an inventory item. QuickBooks uses this account to track how much you paid for goods and materials that were held in inventory and then sold.

Expence account – An account that tracks and categorizes what your company is spending

Inactive item – An item that is not included in a QuickBooks transaction (invoice, purchase order, etc.)

Income account – An account that tracks the source of your company's income.

Item name/number – A word or a combination of words that describes an item.

License – The term “license” or “grant license” means to give permission. A license may be granted by a party ("licensor") to another party ("licensee") as an element of an agreement between those parties.

Location - The term to define the place where you hold your inventory. It may be stationary warehouse or it's single part or the truck with inventory in stock. Location is created to divide your inventory into separate parts. There are to types of locations in HandiFox - Main and mobile.

Manufacturer's part number – If you manufacture or assemble goods, you may want to have a different set of part numbers for finished goods (an item that is sold to the customer; either an item you assemble, or one that you purchase ready to sell) and raw goods (an item you purchase to make an assembly item). (QuickBooks definition)

Memo – A note that is related to counting session or receive items session in the Receive PO menu.

Reorder point – The minimum quantity of a particular inventory item that you want to have in stock at any given time. When the quantity reaches the reorder point, it's time to order more of the item. (QuickBooks definition)

U/M (Unit of Measure) – The standard unit or system of units by means of which a quantity is accounted for and expressed.

U/M Set – Consists of a base unit and any number of related units.

Quantity difference –The difference between the New Qty and QOH fields in the inventory counting menu on the handheld:
Dif = New Qty-QOH

QOH – Quantity on hand; shows the current number of items on hand.

Preferred vendor – This is the field where a preferred vendor is displayed for a certain item.

Purchase description – The item's description that applies to the item in purchase transactions.

Reference number – This is usually a number which is assigned to a certain operation. In HandiFox receive PO function, it is the inventory counting session or the receive items session.

Sales description – An item's description that apples to the item in sales transactions.

Sales price – The price which is used when selling an item.

Subitem – Subitems enable you to create a hierarchy of items so you can group information about similar items in sales reports and graphs. Subitems are primarily for your convenience. They look the same as items on sales forms and purchase orders. (QuickBooks definition)

Tax code – This is how a particular item’s sales price is calculated, that is, with tax if the item is taxable, without if the item is non-taxable.

Transfer - The operation of moving your stock between locations.